package com.chinaitop.depot.agent.number.model;

import java.util.Date;

public class BusinessAgentNumber {
    private Integer id;

    private Integer agentId;

    private Integer agentDepotId;

    private Integer storehouseId;

    private Integer warehouseId;

    private Integer lspz;

    private String nature;

    private Integer level;

    private Integer harvestYear;

    private String inventory;

    private Integer orgId;

    private Date createTime;

    private Integer sjly;

    private Date updatetime;

    /**
     * 
     * @return id 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     * @param id 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 代储点id
     * @return agent_id 代储点id
     */
    public Integer getAgentId() {
        return agentId;
    }

    /**
     * 代储点id
     * @param agentId 代储点id
     */
    public void setAgentId(Integer agentId) {
        this.agentId = agentId;
    }

    /**
     * 代储库id
     * @return agent_depot_id 代储库id
     */
    public Integer getAgentDepotId() {
        return agentDepotId;
    }

    /**
     * 代储库id
     * @param agentDepotId 代储库id
     */
    public void setAgentDepotId(Integer agentDepotId) {
        this.agentDepotId = agentDepotId;
    }

    /**
     * 仓房id
     * @return storehouse_id 仓房id
     */
    public Integer getStorehouseId() {
        return storehouseId;
    }

    /**
     * 仓房id
     * @param storehouseId 仓房id
     */
    public void setStorehouseId(Integer storehouseId) {
        this.storehouseId = storehouseId;
    }

    /**
     * 货位id
     * @return warehouse_id 货位id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位id
     * @param warehouseId 货位id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 粮食品种
     * @return lspz 粮食品种
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮食品种
     * @param lspz 粮食品种
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * 粮油性质
     * @return nature 粮油性质
     */
    public String getNature() {
        return nature;
    }

    /**
     * 粮油性质
     * @param nature 粮油性质
     */
    public void setNature(String nature) {
        this.nature = nature == null ? null : nature.trim();
    }

    /**
     * 等级
     * @return level 等级
     */
    public Integer getLevel() {
        return level;
    }

    /**
     * 等级
     * @param level 等级
     */
    public void setLevel(Integer level) {
        this.level = level;
    }

    /**
     * 收获年度
     * @return harvest_year 收获年度
     */
    public Integer getHarvestYear() {
        return harvestYear;
    }

    /**
     * 收获年度
     * @param harvestYear 收获年度
     */
    public void setHarvestYear(Integer harvestYear) {
        this.harvestYear = harvestYear;
    }

    /**
     * 库存数量（公斤）
     * @return inventory 库存数量（公斤）
     */
    public String getInventory() {
        return inventory;
    }

    /**
     * 库存数量（公斤）
     * @param inventory 库存数量（公斤）
     */
    public void setInventory(String inventory) {
        this.inventory = inventory == null ? null : inventory.trim();
    }

    /**
     * 组织结构id
     * @return org_id 组织结构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织结构id
     * @param orgId 组织结构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 数据来源(0是手动添加,1是同步出入库数据)
     * @return sjly 数据来源(0是手动添加,1是同步出入库数据)
     */
    public Integer getSjly() {
        return sjly;
    }

    /**
     * 数据来源(0是手动添加,1是同步出入库数据)
     * @param sjly 数据来源(0是手动添加,1是同步出入库数据)
     */
    public void setSjly(Integer sjly) {
        this.sjly = sjly;
    }

    /**
     * 
     * @return updatetime 
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 
     * @param updatetime 
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}