package com.chinaitop.depot.agent.quality.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BusinessAgentQualityExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public BusinessAgentQualityExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAgentIdIsNull() {
            addCriterion("agent_id is null");
            return (Criteria) this;
        }

        public Criteria andAgentIdIsNotNull() {
            addCriterion("agent_id is not null");
            return (Criteria) this;
        }

        public Criteria andAgentIdEqualTo(Integer value) {
            addCriterion("agent_id =", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotEqualTo(Integer value) {
            addCriterion("agent_id <>", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdGreaterThan(Integer value) {
            addCriterion("agent_id >", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("agent_id >=", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdLessThan(Integer value) {
            addCriterion("agent_id <", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdLessThanOrEqualTo(Integer value) {
            addCriterion("agent_id <=", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdIn(List<Integer> values) {
            addCriterion("agent_id in", values, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotIn(List<Integer> values) {
            addCriterion("agent_id not in", values, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdBetween(Integer value1, Integer value2) {
            addCriterion("agent_id between", value1, value2, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotBetween(Integer value1, Integer value2) {
            addCriterion("agent_id not between", value1, value2, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdIsNull() {
            addCriterion("agent_depot_id is null");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdIsNotNull() {
            addCriterion("agent_depot_id is not null");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdEqualTo(Integer value) {
            addCriterion("agent_depot_id =", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdNotEqualTo(Integer value) {
            addCriterion("agent_depot_id <>", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdGreaterThan(Integer value) {
            addCriterion("agent_depot_id >", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("agent_depot_id >=", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdLessThan(Integer value) {
            addCriterion("agent_depot_id <", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdLessThanOrEqualTo(Integer value) {
            addCriterion("agent_depot_id <=", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdIn(List<Integer> values) {
            addCriterion("agent_depot_id in", values, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdNotIn(List<Integer> values) {
            addCriterion("agent_depot_id not in", values, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdBetween(Integer value1, Integer value2) {
            addCriterion("agent_depot_id between", value1, value2, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdNotBetween(Integer value1, Integer value2) {
            addCriterion("agent_depot_id not between", value1, value2, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdIsNull() {
            addCriterion("storehouse_id is null");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdIsNotNull() {
            addCriterion("storehouse_id is not null");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdEqualTo(Integer value) {
            addCriterion("storehouse_id =", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdNotEqualTo(Integer value) {
            addCriterion("storehouse_id <>", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdGreaterThan(Integer value) {
            addCriterion("storehouse_id >", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("storehouse_id >=", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdLessThan(Integer value) {
            addCriterion("storehouse_id <", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdLessThanOrEqualTo(Integer value) {
            addCriterion("storehouse_id <=", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdIn(List<Integer> values) {
            addCriterion("storehouse_id in", values, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdNotIn(List<Integer> values) {
            addCriterion("storehouse_id not in", values, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdBetween(Integer value1, Integer value2) {
            addCriterion("storehouse_id between", value1, value2, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdNotBetween(Integer value1, Integer value2) {
            addCriterion("storehouse_id not between", value1, value2, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIsNull() {
            addCriterion("warehouse_id is null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIsNotNull() {
            addCriterion("warehouse_id is not null");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdEqualTo(Integer value) {
            addCriterion("warehouse_id =", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotEqualTo(Integer value) {
            addCriterion("warehouse_id <>", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThan(Integer value) {
            addCriterion("warehouse_id >", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("warehouse_id >=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThan(Integer value) {
            addCriterion("warehouse_id <", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdLessThanOrEqualTo(Integer value) {
            addCriterion("warehouse_id <=", value, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdIn(List<Integer> values) {
            addCriterion("warehouse_id in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotIn(List<Integer> values) {
            addCriterion("warehouse_id not in", values, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_id between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andWarehouseIdNotBetween(Integer value1, Integer value2) {
            addCriterion("warehouse_id not between", value1, value2, "warehouseId");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull() {
            addCriterion("type is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("type is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(String value) {
            addCriterion("type =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(String value) {
            addCriterion("type <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(String value) {
            addCriterion("type >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(String value) {
            addCriterion("type >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(String value) {
            addCriterion("type <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(String value) {
            addCriterion("type <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLike(String value) {
            addCriterion("type like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotLike(String value) {
            addCriterion("type not like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<String> values) {
            addCriterion("type in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<String> values) {
            addCriterion("type not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(String value1, String value2) {
            addCriterion("type between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(String value1, String value2) {
            addCriterion("type not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andSubTypeIsNull() {
            addCriterion("sub_type is null");
            return (Criteria) this;
        }

        public Criteria andSubTypeIsNotNull() {
            addCriterion("sub_type is not null");
            return (Criteria) this;
        }

        public Criteria andSubTypeEqualTo(Integer value) {
            addCriterion("sub_type =", value, "subType");
            return (Criteria) this;
        }

        public Criteria andSubTypeNotEqualTo(Integer value) {
            addCriterion("sub_type <>", value, "subType");
            return (Criteria) this;
        }

        public Criteria andSubTypeGreaterThan(Integer value) {
            addCriterion("sub_type >", value, "subType");
            return (Criteria) this;
        }

        public Criteria andSubTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("sub_type >=", value, "subType");
            return (Criteria) this;
        }

        public Criteria andSubTypeLessThan(Integer value) {
            addCriterion("sub_type <", value, "subType");
            return (Criteria) this;
        }

        public Criteria andSubTypeLessThanOrEqualTo(Integer value) {
            addCriterion("sub_type <=", value, "subType");
            return (Criteria) this;
        }

        public Criteria andSubTypeIn(List<Integer> values) {
            addCriterion("sub_type in", values, "subType");
            return (Criteria) this;
        }

        public Criteria andSubTypeNotIn(List<Integer> values) {
            addCriterion("sub_type not in", values, "subType");
            return (Criteria) this;
        }

        public Criteria andSubTypeBetween(Integer value1, Integer value2) {
            addCriterion("sub_type between", value1, value2, "subType");
            return (Criteria) this;
        }

        public Criteria andSubTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("sub_type not between", value1, value2, "subType");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedIsNull() {
            addCriterion("sub_type_detailed is null");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedIsNotNull() {
            addCriterion("sub_type_detailed is not null");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedEqualTo(Integer value) {
            addCriterion("sub_type_detailed =", value, "subTypeDetailed");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedNotEqualTo(Integer value) {
            addCriterion("sub_type_detailed <>", value, "subTypeDetailed");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedGreaterThan(Integer value) {
            addCriterion("sub_type_detailed >", value, "subTypeDetailed");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedGreaterThanOrEqualTo(Integer value) {
            addCriterion("sub_type_detailed >=", value, "subTypeDetailed");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedLessThan(Integer value) {
            addCriterion("sub_type_detailed <", value, "subTypeDetailed");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedLessThanOrEqualTo(Integer value) {
            addCriterion("sub_type_detailed <=", value, "subTypeDetailed");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedIn(List<Integer> values) {
            addCriterion("sub_type_detailed in", values, "subTypeDetailed");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedNotIn(List<Integer> values) {
            addCriterion("sub_type_detailed not in", values, "subTypeDetailed");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedBetween(Integer value1, Integer value2) {
            addCriterion("sub_type_detailed between", value1, value2, "subTypeDetailed");
            return (Criteria) this;
        }

        public Criteria andSubTypeDetailedNotBetween(Integer value1, Integer value2) {
            addCriterion("sub_type_detailed not between", value1, value2, "subTypeDetailed");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIsNull() {
            addCriterion("check_time is null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIsNotNull() {
            addCriterion("check_time is not null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeEqualTo(Date value) {
            addCriterion("check_time =", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotEqualTo(Date value) {
            addCriterion("check_time <>", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeGreaterThan(Date value) {
            addCriterion("check_time >", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("check_time >=", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeLessThan(Date value) {
            addCriterion("check_time <", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeLessThanOrEqualTo(Date value) {
            addCriterion("check_time <=", value, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeIn(List<Date> values) {
            addCriterion("check_time in", values, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotIn(List<Date> values) {
            addCriterion("check_time not in", values, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeBetween(Date value1, Date value2) {
            addCriterion("check_time between", value1, value2, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeNotBetween(Date value1, Date value2) {
            addCriterion("check_time not between", value1, value2, "checkTime");
            return (Criteria) this;
        }

        public Criteria andCheckResultIsNull() {
            addCriterion("check_result is null");
            return (Criteria) this;
        }

        public Criteria andCheckResultIsNotNull() {
            addCriterion("check_result is not null");
            return (Criteria) this;
        }

        public Criteria andCheckResultEqualTo(String value) {
            addCriterion("check_result =", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultNotEqualTo(String value) {
            addCriterion("check_result <>", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultGreaterThan(String value) {
            addCriterion("check_result >", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultGreaterThanOrEqualTo(String value) {
            addCriterion("check_result >=", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultLessThan(String value) {
            addCriterion("check_result <", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultLessThanOrEqualTo(String value) {
            addCriterion("check_result <=", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultLike(String value) {
            addCriterion("check_result like", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultNotLike(String value) {
            addCriterion("check_result not like", value, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultIn(List<String> values) {
            addCriterion("check_result in", values, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultNotIn(List<String> values) {
            addCriterion("check_result not in", values, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultBetween(String value1, String value2) {
            addCriterion("check_result between", value1, value2, "checkResult");
            return (Criteria) this;
        }

        public Criteria andCheckResultNotBetween(String value1, String value2) {
            addCriterion("check_result not between", value1, value2, "checkResult");
            return (Criteria) this;
        }

        public Criteria andLevelIsNull() {
            addCriterion("level is null");
            return (Criteria) this;
        }

        public Criteria andLevelIsNotNull() {
            addCriterion("level is not null");
            return (Criteria) this;
        }

        public Criteria andLevelEqualTo(Integer value) {
            addCriterion("level =", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelNotEqualTo(Integer value) {
            addCriterion("level <>", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelGreaterThan(Integer value) {
            addCriterion("level >", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelGreaterThanOrEqualTo(Integer value) {
            addCriterion("level >=", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelLessThan(Integer value) {
            addCriterion("level <", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelLessThanOrEqualTo(Integer value) {
            addCriterion("level <=", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelIn(List<Integer> values) {
            addCriterion("level in", values, "level");
            return (Criteria) this;
        }

        public Criteria andLevelNotIn(List<Integer> values) {
            addCriterion("level not in", values, "level");
            return (Criteria) this;
        }

        public Criteria andLevelBetween(Integer value1, Integer value2) {
            addCriterion("level between", value1, value2, "level");
            return (Criteria) this;
        }

        public Criteria andLevelNotBetween(Integer value1, Integer value2) {
            addCriterion("level not between", value1, value2, "level");
            return (Criteria) this;
        }

        public Criteria andCapacityIsNull() {
            addCriterion("capacity is null");
            return (Criteria) this;
        }

        public Criteria andCapacityIsNotNull() {
            addCriterion("capacity is not null");
            return (Criteria) this;
        }

        public Criteria andCapacityEqualTo(String value) {
            addCriterion("capacity =", value, "capacity");
            return (Criteria) this;
        }

        public Criteria andCapacityNotEqualTo(String value) {
            addCriterion("capacity <>", value, "capacity");
            return (Criteria) this;
        }

        public Criteria andCapacityGreaterThan(String value) {
            addCriterion("capacity >", value, "capacity");
            return (Criteria) this;
        }

        public Criteria andCapacityGreaterThanOrEqualTo(String value) {
            addCriterion("capacity >=", value, "capacity");
            return (Criteria) this;
        }

        public Criteria andCapacityLessThan(String value) {
            addCriterion("capacity <", value, "capacity");
            return (Criteria) this;
        }

        public Criteria andCapacityLessThanOrEqualTo(String value) {
            addCriterion("capacity <=", value, "capacity");
            return (Criteria) this;
        }

        public Criteria andCapacityLike(String value) {
            addCriterion("capacity like", value, "capacity");
            return (Criteria) this;
        }

        public Criteria andCapacityNotLike(String value) {
            addCriterion("capacity not like", value, "capacity");
            return (Criteria) this;
        }

        public Criteria andCapacityIn(List<String> values) {
            addCriterion("capacity in", values, "capacity");
            return (Criteria) this;
        }

        public Criteria andCapacityNotIn(List<String> values) {
            addCriterion("capacity not in", values, "capacity");
            return (Criteria) this;
        }

        public Criteria andCapacityBetween(String value1, String value2) {
            addCriterion("capacity between", value1, value2, "capacity");
            return (Criteria) this;
        }

        public Criteria andCapacityNotBetween(String value1, String value2) {
            addCriterion("capacity not between", value1, value2, "capacity");
            return (Criteria) this;
        }

        public Criteria andWaterIsNull() {
            addCriterion("water is null");
            return (Criteria) this;
        }

        public Criteria andWaterIsNotNull() {
            addCriterion("water is not null");
            return (Criteria) this;
        }

        public Criteria andWaterEqualTo(String value) {
            addCriterion("water =", value, "water");
            return (Criteria) this;
        }

        public Criteria andWaterNotEqualTo(String value) {
            addCriterion("water <>", value, "water");
            return (Criteria) this;
        }

        public Criteria andWaterGreaterThan(String value) {
            addCriterion("water >", value, "water");
            return (Criteria) this;
        }

        public Criteria andWaterGreaterThanOrEqualTo(String value) {
            addCriterion("water >=", value, "water");
            return (Criteria) this;
        }

        public Criteria andWaterLessThan(String value) {
            addCriterion("water <", value, "water");
            return (Criteria) this;
        }

        public Criteria andWaterLessThanOrEqualTo(String value) {
            addCriterion("water <=", value, "water");
            return (Criteria) this;
        }

        public Criteria andWaterLike(String value) {
            addCriterion("water like", value, "water");
            return (Criteria) this;
        }

        public Criteria andWaterNotLike(String value) {
            addCriterion("water not like", value, "water");
            return (Criteria) this;
        }

        public Criteria andWaterIn(List<String> values) {
            addCriterion("water in", values, "water");
            return (Criteria) this;
        }

        public Criteria andWaterNotIn(List<String> values) {
            addCriterion("water not in", values, "water");
            return (Criteria) this;
        }

        public Criteria andWaterBetween(String value1, String value2) {
            addCriterion("water between", value1, value2, "water");
            return (Criteria) this;
        }

        public Criteria andWaterNotBetween(String value1, String value2) {
            addCriterion("water not between", value1, value2, "water");
            return (Criteria) this;
        }

        public Criteria andImpurityIsNull() {
            addCriterion("impurity is null");
            return (Criteria) this;
        }

        public Criteria andImpurityIsNotNull() {
            addCriterion("impurity is not null");
            return (Criteria) this;
        }

        public Criteria andImpurityEqualTo(String value) {
            addCriterion("impurity =", value, "impurity");
            return (Criteria) this;
        }

        public Criteria andImpurityNotEqualTo(String value) {
            addCriterion("impurity <>", value, "impurity");
            return (Criteria) this;
        }

        public Criteria andImpurityGreaterThan(String value) {
            addCriterion("impurity >", value, "impurity");
            return (Criteria) this;
        }

        public Criteria andImpurityGreaterThanOrEqualTo(String value) {
            addCriterion("impurity >=", value, "impurity");
            return (Criteria) this;
        }

        public Criteria andImpurityLessThan(String value) {
            addCriterion("impurity <", value, "impurity");
            return (Criteria) this;
        }

        public Criteria andImpurityLessThanOrEqualTo(String value) {
            addCriterion("impurity <=", value, "impurity");
            return (Criteria) this;
        }

        public Criteria andImpurityLike(String value) {
            addCriterion("impurity like", value, "impurity");
            return (Criteria) this;
        }

        public Criteria andImpurityNotLike(String value) {
            addCriterion("impurity not like", value, "impurity");
            return (Criteria) this;
        }

        public Criteria andImpurityIn(List<String> values) {
            addCriterion("impurity in", values, "impurity");
            return (Criteria) this;
        }

        public Criteria andImpurityNotIn(List<String> values) {
            addCriterion("impurity not in", values, "impurity");
            return (Criteria) this;
        }

        public Criteria andImpurityBetween(String value1, String value2) {
            addCriterion("impurity between", value1, value2, "impurity");
            return (Criteria) this;
        }

        public Criteria andImpurityNotBetween(String value1, String value2) {
            addCriterion("impurity not between", value1, value2, "impurity");
            return (Criteria) this;
        }

        public Criteria andMineralIsNull() {
            addCriterion("mineral is null");
            return (Criteria) this;
        }

        public Criteria andMineralIsNotNull() {
            addCriterion("mineral is not null");
            return (Criteria) this;
        }

        public Criteria andMineralEqualTo(String value) {
            addCriterion("mineral =", value, "mineral");
            return (Criteria) this;
        }

        public Criteria andMineralNotEqualTo(String value) {
            addCriterion("mineral <>", value, "mineral");
            return (Criteria) this;
        }

        public Criteria andMineralGreaterThan(String value) {
            addCriterion("mineral >", value, "mineral");
            return (Criteria) this;
        }

        public Criteria andMineralGreaterThanOrEqualTo(String value) {
            addCriterion("mineral >=", value, "mineral");
            return (Criteria) this;
        }

        public Criteria andMineralLessThan(String value) {
            addCriterion("mineral <", value, "mineral");
            return (Criteria) this;
        }

        public Criteria andMineralLessThanOrEqualTo(String value) {
            addCriterion("mineral <=", value, "mineral");
            return (Criteria) this;
        }

        public Criteria andMineralLike(String value) {
            addCriterion("mineral like", value, "mineral");
            return (Criteria) this;
        }

        public Criteria andMineralNotLike(String value) {
            addCriterion("mineral not like", value, "mineral");
            return (Criteria) this;
        }

        public Criteria andMineralIn(List<String> values) {
            addCriterion("mineral in", values, "mineral");
            return (Criteria) this;
        }

        public Criteria andMineralNotIn(List<String> values) {
            addCriterion("mineral not in", values, "mineral");
            return (Criteria) this;
        }

        public Criteria andMineralBetween(String value1, String value2) {
            addCriterion("mineral between", value1, value2, "mineral");
            return (Criteria) this;
        }

        public Criteria andMineralNotBetween(String value1, String value2) {
            addCriterion("mineral not between", value1, value2, "mineral");
            return (Criteria) this;
        }

        public Criteria andBadpartIsNull() {
            addCriterion("badpart is null");
            return (Criteria) this;
        }

        public Criteria andBadpartIsNotNull() {
            addCriterion("badpart is not null");
            return (Criteria) this;
        }

        public Criteria andBadpartEqualTo(String value) {
            addCriterion("badpart =", value, "badpart");
            return (Criteria) this;
        }

        public Criteria andBadpartNotEqualTo(String value) {
            addCriterion("badpart <>", value, "badpart");
            return (Criteria) this;
        }

        public Criteria andBadpartGreaterThan(String value) {
            addCriterion("badpart >", value, "badpart");
            return (Criteria) this;
        }

        public Criteria andBadpartGreaterThanOrEqualTo(String value) {
            addCriterion("badpart >=", value, "badpart");
            return (Criteria) this;
        }

        public Criteria andBadpartLessThan(String value) {
            addCriterion("badpart <", value, "badpart");
            return (Criteria) this;
        }

        public Criteria andBadpartLessThanOrEqualTo(String value) {
            addCriterion("badpart <=", value, "badpart");
            return (Criteria) this;
        }

        public Criteria andBadpartLike(String value) {
            addCriterion("badpart like", value, "badpart");
            return (Criteria) this;
        }

        public Criteria andBadpartNotLike(String value) {
            addCriterion("badpart not like", value, "badpart");
            return (Criteria) this;
        }

        public Criteria andBadpartIn(List<String> values) {
            addCriterion("badpart in", values, "badpart");
            return (Criteria) this;
        }

        public Criteria andBadpartNotIn(List<String> values) {
            addCriterion("badpart not in", values, "badpart");
            return (Criteria) this;
        }

        public Criteria andBadpartBetween(String value1, String value2) {
            addCriterion("badpart between", value1, value2, "badpart");
            return (Criteria) this;
        }

        public Criteria andBadpartNotBetween(String value1, String value2) {
            addCriterion("badpart not between", value1, value2, "badpart");
            return (Criteria) this;
        }

        public Criteria andColorsmellIsNull() {
            addCriterion("colorsmell is null");
            return (Criteria) this;
        }

        public Criteria andColorsmellIsNotNull() {
            addCriterion("colorsmell is not null");
            return (Criteria) this;
        }

        public Criteria andColorsmellEqualTo(String value) {
            addCriterion("colorsmell =", value, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andColorsmellNotEqualTo(String value) {
            addCriterion("colorsmell <>", value, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andColorsmellGreaterThan(String value) {
            addCriterion("colorsmell >", value, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andColorsmellGreaterThanOrEqualTo(String value) {
            addCriterion("colorsmell >=", value, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andColorsmellLessThan(String value) {
            addCriterion("colorsmell <", value, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andColorsmellLessThanOrEqualTo(String value) {
            addCriterion("colorsmell <=", value, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andColorsmellLike(String value) {
            addCriterion("colorsmell like", value, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andColorsmellNotLike(String value) {
            addCriterion("colorsmell not like", value, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andColorsmellIn(List<String> values) {
            addCriterion("colorsmell in", values, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andColorsmellNotIn(List<String> values) {
            addCriterion("colorsmell not in", values, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andColorsmellBetween(String value1, String value2) {
            addCriterion("colorsmell between", value1, value2, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andColorsmellNotBetween(String value1, String value2) {
            addCriterion("colorsmell not between", value1, value2, "colorsmell");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesIsNull() {
            addCriterion("keeper_advices is null");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesIsNotNull() {
            addCriterion("keeper_advices is not null");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesEqualTo(String value) {
            addCriterion("keeper_advices =", value, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesNotEqualTo(String value) {
            addCriterion("keeper_advices <>", value, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesGreaterThan(String value) {
            addCriterion("keeper_advices >", value, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesGreaterThanOrEqualTo(String value) {
            addCriterion("keeper_advices >=", value, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesLessThan(String value) {
            addCriterion("keeper_advices <", value, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesLessThanOrEqualTo(String value) {
            addCriterion("keeper_advices <=", value, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesLike(String value) {
            addCriterion("keeper_advices like", value, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesNotLike(String value) {
            addCriterion("keeper_advices not like", value, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesIn(List<String> values) {
            addCriterion("keeper_advices in", values, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesNotIn(List<String> values) {
            addCriterion("keeper_advices not in", values, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesBetween(String value1, String value2) {
            addCriterion("keeper_advices between", value1, value2, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesNotBetween(String value1, String value2) {
            addCriterion("keeper_advices not between", value1, value2, "keeperAdvices");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeIsNull() {
            addCriterion("keeper_advices_time is null");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeIsNotNull() {
            addCriterion("keeper_advices_time is not null");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeEqualTo(String value) {
            addCriterion("keeper_advices_time =", value, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeNotEqualTo(String value) {
            addCriterion("keeper_advices_time <>", value, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeGreaterThan(String value) {
            addCriterion("keeper_advices_time >", value, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeGreaterThanOrEqualTo(String value) {
            addCriterion("keeper_advices_time >=", value, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeLessThan(String value) {
            addCriterion("keeper_advices_time <", value, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeLessThanOrEqualTo(String value) {
            addCriterion("keeper_advices_time <=", value, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeLike(String value) {
            addCriterion("keeper_advices_time like", value, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeNotLike(String value) {
            addCriterion("keeper_advices_time not like", value, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeIn(List<String> values) {
            addCriterion("keeper_advices_time in", values, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeNotIn(List<String> values) {
            addCriterion("keeper_advices_time not in", values, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeBetween(String value1, String value2) {
            addCriterion("keeper_advices_time between", value1, value2, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesTimeNotBetween(String value1, String value2) {
            addCriterion("keeper_advices_time not between", value1, value2, "keeperAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintIsNull() {
            addCriterion("keeper_advices_paint is null");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintIsNotNull() {
            addCriterion("keeper_advices_paint is not null");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintEqualTo(String value) {
            addCriterion("keeper_advices_paint =", value, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintNotEqualTo(String value) {
            addCriterion("keeper_advices_paint <>", value, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintGreaterThan(String value) {
            addCriterion("keeper_advices_paint >", value, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintGreaterThanOrEqualTo(String value) {
            addCriterion("keeper_advices_paint >=", value, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintLessThan(String value) {
            addCriterion("keeper_advices_paint <", value, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintLessThanOrEqualTo(String value) {
            addCriterion("keeper_advices_paint <=", value, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintLike(String value) {
            addCriterion("keeper_advices_paint like", value, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintNotLike(String value) {
            addCriterion("keeper_advices_paint not like", value, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintIn(List<String> values) {
            addCriterion("keeper_advices_paint in", values, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintNotIn(List<String> values) {
            addCriterion("keeper_advices_paint not in", values, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintBetween(String value1, String value2) {
            addCriterion("keeper_advices_paint between", value1, value2, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andKeeperAdvicesPaintNotBetween(String value1, String value2) {
            addCriterion("keeper_advices_paint not between", value1, value2, "keeperAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesIsNull() {
            addCriterion("chief_advices is null");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesIsNotNull() {
            addCriterion("chief_advices is not null");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesEqualTo(String value) {
            addCriterion("chief_advices =", value, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesNotEqualTo(String value) {
            addCriterion("chief_advices <>", value, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesGreaterThan(String value) {
            addCriterion("chief_advices >", value, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesGreaterThanOrEqualTo(String value) {
            addCriterion("chief_advices >=", value, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesLessThan(String value) {
            addCriterion("chief_advices <", value, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesLessThanOrEqualTo(String value) {
            addCriterion("chief_advices <=", value, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesLike(String value) {
            addCriterion("chief_advices like", value, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesNotLike(String value) {
            addCriterion("chief_advices not like", value, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesIn(List<String> values) {
            addCriterion("chief_advices in", values, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesNotIn(List<String> values) {
            addCriterion("chief_advices not in", values, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesBetween(String value1, String value2) {
            addCriterion("chief_advices between", value1, value2, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesNotBetween(String value1, String value2) {
            addCriterion("chief_advices not between", value1, value2, "chiefAdvices");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeIsNull() {
            addCriterion("chief_advices_time is null");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeIsNotNull() {
            addCriterion("chief_advices_time is not null");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeEqualTo(Date value) {
            addCriterion("chief_advices_time =", value, "chiefAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeNotEqualTo(Date value) {
            addCriterion("chief_advices_time <>", value, "chiefAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeGreaterThan(Date value) {
            addCriterion("chief_advices_time >", value, "chiefAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("chief_advices_time >=", value, "chiefAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeLessThan(Date value) {
            addCriterion("chief_advices_time <", value, "chiefAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeLessThanOrEqualTo(Date value) {
            addCriterion("chief_advices_time <=", value, "chiefAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeIn(List<Date> values) {
            addCriterion("chief_advices_time in", values, "chiefAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeNotIn(List<Date> values) {
            addCriterion("chief_advices_time not in", values, "chiefAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeBetween(Date value1, Date value2) {
            addCriterion("chief_advices_time between", value1, value2, "chiefAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andChiefAdvicesTimeNotBetween(Date value1, Date value2) {
            addCriterion("chief_advices_time not between", value1, value2, "chiefAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintIsNull() {
            addCriterion("chiet_advices_paint is null");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintIsNotNull() {
            addCriterion("chiet_advices_paint is not null");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintEqualTo(String value) {
            addCriterion("chiet_advices_paint =", value, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintNotEqualTo(String value) {
            addCriterion("chiet_advices_paint <>", value, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintGreaterThan(String value) {
            addCriterion("chiet_advices_paint >", value, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintGreaterThanOrEqualTo(String value) {
            addCriterion("chiet_advices_paint >=", value, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintLessThan(String value) {
            addCriterion("chiet_advices_paint <", value, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintLessThanOrEqualTo(String value) {
            addCriterion("chiet_advices_paint <=", value, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintLike(String value) {
            addCriterion("chiet_advices_paint like", value, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintNotLike(String value) {
            addCriterion("chiet_advices_paint not like", value, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintIn(List<String> values) {
            addCriterion("chiet_advices_paint in", values, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintNotIn(List<String> values) {
            addCriterion("chiet_advices_paint not in", values, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintBetween(String value1, String value2) {
            addCriterion("chiet_advices_paint between", value1, value2, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andChietAdvicesPaintNotBetween(String value1, String value2) {
            addCriterion("chiet_advices_paint not between", value1, value2, "chietAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesIsNull() {
            addCriterion("vice_manager_advices is null");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesIsNotNull() {
            addCriterion("vice_manager_advices is not null");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesEqualTo(String value) {
            addCriterion("vice_manager_advices =", value, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesNotEqualTo(String value) {
            addCriterion("vice_manager_advices <>", value, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesGreaterThan(String value) {
            addCriterion("vice_manager_advices >", value, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesGreaterThanOrEqualTo(String value) {
            addCriterion("vice_manager_advices >=", value, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesLessThan(String value) {
            addCriterion("vice_manager_advices <", value, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesLessThanOrEqualTo(String value) {
            addCriterion("vice_manager_advices <=", value, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesLike(String value) {
            addCriterion("vice_manager_advices like", value, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesNotLike(String value) {
            addCriterion("vice_manager_advices not like", value, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesIn(List<String> values) {
            addCriterion("vice_manager_advices in", values, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesNotIn(List<String> values) {
            addCriterion("vice_manager_advices not in", values, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesBetween(String value1, String value2) {
            addCriterion("vice_manager_advices between", value1, value2, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesNotBetween(String value1, String value2) {
            addCriterion("vice_manager_advices not between", value1, value2, "viceManagerAdvices");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeIsNull() {
            addCriterion("vice_manager_advices_time is null");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeIsNotNull() {
            addCriterion("vice_manager_advices_time is not null");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeEqualTo(Date value) {
            addCriterion("vice_manager_advices_time =", value, "viceManagerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeNotEqualTo(Date value) {
            addCriterion("vice_manager_advices_time <>", value, "viceManagerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeGreaterThan(Date value) {
            addCriterion("vice_manager_advices_time >", value, "viceManagerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("vice_manager_advices_time >=", value, "viceManagerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeLessThan(Date value) {
            addCriterion("vice_manager_advices_time <", value, "viceManagerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeLessThanOrEqualTo(Date value) {
            addCriterion("vice_manager_advices_time <=", value, "viceManagerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeIn(List<Date> values) {
            addCriterion("vice_manager_advices_time in", values, "viceManagerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeNotIn(List<Date> values) {
            addCriterion("vice_manager_advices_time not in", values, "viceManagerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeBetween(Date value1, Date value2) {
            addCriterion("vice_manager_advices_time between", value1, value2, "viceManagerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesTimeNotBetween(Date value1, Date value2) {
            addCriterion("vice_manager_advices_time not between", value1, value2, "viceManagerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintIsNull() {
            addCriterion("vice_manager_advices_paint is null");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintIsNotNull() {
            addCriterion("vice_manager_advices_paint is not null");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintEqualTo(String value) {
            addCriterion("vice_manager_advices_paint =", value, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintNotEqualTo(String value) {
            addCriterion("vice_manager_advices_paint <>", value, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintGreaterThan(String value) {
            addCriterion("vice_manager_advices_paint >", value, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintGreaterThanOrEqualTo(String value) {
            addCriterion("vice_manager_advices_paint >=", value, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintLessThan(String value) {
            addCriterion("vice_manager_advices_paint <", value, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintLessThanOrEqualTo(String value) {
            addCriterion("vice_manager_advices_paint <=", value, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintLike(String value) {
            addCriterion("vice_manager_advices_paint like", value, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintNotLike(String value) {
            addCriterion("vice_manager_advices_paint not like", value, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintIn(List<String> values) {
            addCriterion("vice_manager_advices_paint in", values, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintNotIn(List<String> values) {
            addCriterion("vice_manager_advices_paint not in", values, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintBetween(String value1, String value2) {
            addCriterion("vice_manager_advices_paint between", value1, value2, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andViceManagerAdvicesPaintNotBetween(String value1, String value2) {
            addCriterion("vice_manager_advices_paint not between", value1, value2, "viceManagerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesIsNull() {
            addCriterion("manager_advices is null");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesIsNotNull() {
            addCriterion("manager_advices is not null");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesEqualTo(String value) {
            addCriterion("manager_advices =", value, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesNotEqualTo(String value) {
            addCriterion("manager_advices <>", value, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesGreaterThan(String value) {
            addCriterion("manager_advices >", value, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesGreaterThanOrEqualTo(String value) {
            addCriterion("manager_advices >=", value, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesLessThan(String value) {
            addCriterion("manager_advices <", value, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesLessThanOrEqualTo(String value) {
            addCriterion("manager_advices <=", value, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesLike(String value) {
            addCriterion("manager_advices like", value, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesNotLike(String value) {
            addCriterion("manager_advices not like", value, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesIn(List<String> values) {
            addCriterion("manager_advices in", values, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesNotIn(List<String> values) {
            addCriterion("manager_advices not in", values, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesBetween(String value1, String value2) {
            addCriterion("manager_advices between", value1, value2, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesNotBetween(String value1, String value2) {
            addCriterion("manager_advices not between", value1, value2, "managerAdvices");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeIsNull() {
            addCriterion("manager_advices_time is null");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeIsNotNull() {
            addCriterion("manager_advices_time is not null");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeEqualTo(Date value) {
            addCriterion("manager_advices_time =", value, "managerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeNotEqualTo(Date value) {
            addCriterion("manager_advices_time <>", value, "managerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeGreaterThan(Date value) {
            addCriterion("manager_advices_time >", value, "managerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("manager_advices_time >=", value, "managerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeLessThan(Date value) {
            addCriterion("manager_advices_time <", value, "managerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeLessThanOrEqualTo(Date value) {
            addCriterion("manager_advices_time <=", value, "managerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeIn(List<Date> values) {
            addCriterion("manager_advices_time in", values, "managerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeNotIn(List<Date> values) {
            addCriterion("manager_advices_time not in", values, "managerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeBetween(Date value1, Date value2) {
            addCriterion("manager_advices_time between", value1, value2, "managerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesTimeNotBetween(Date value1, Date value2) {
            addCriterion("manager_advices_time not between", value1, value2, "managerAdvicesTime");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintIsNull() {
            addCriterion("manager_advices_paint is null");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintIsNotNull() {
            addCriterion("manager_advices_paint is not null");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintEqualTo(String value) {
            addCriterion("manager_advices_paint =", value, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintNotEqualTo(String value) {
            addCriterion("manager_advices_paint <>", value, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintGreaterThan(String value) {
            addCriterion("manager_advices_paint >", value, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintGreaterThanOrEqualTo(String value) {
            addCriterion("manager_advices_paint >=", value, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintLessThan(String value) {
            addCriterion("manager_advices_paint <", value, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintLessThanOrEqualTo(String value) {
            addCriterion("manager_advices_paint <=", value, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintLike(String value) {
            addCriterion("manager_advices_paint like", value, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintNotLike(String value) {
            addCriterion("manager_advices_paint not like", value, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintIn(List<String> values) {
            addCriterion("manager_advices_paint in", values, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintNotIn(List<String> values) {
            addCriterion("manager_advices_paint not in", values, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintBetween(String value1, String value2) {
            addCriterion("manager_advices_paint between", value1, value2, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andManagerAdvicesPaintNotBetween(String value1, String value2) {
            addCriterion("manager_advices_paint not between", value1, value2, "managerAdvicesPaint");
            return (Criteria) this;
        }

        public Criteria andImproveResultIsNull() {
            addCriterion("improve_result is null");
            return (Criteria) this;
        }

        public Criteria andImproveResultIsNotNull() {
            addCriterion("improve_result is not null");
            return (Criteria) this;
        }

        public Criteria andImproveResultEqualTo(String value) {
            addCriterion("improve_result =", value, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveResultNotEqualTo(String value) {
            addCriterion("improve_result <>", value, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveResultGreaterThan(String value) {
            addCriterion("improve_result >", value, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveResultGreaterThanOrEqualTo(String value) {
            addCriterion("improve_result >=", value, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveResultLessThan(String value) {
            addCriterion("improve_result <", value, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveResultLessThanOrEqualTo(String value) {
            addCriterion("improve_result <=", value, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveResultLike(String value) {
            addCriterion("improve_result like", value, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveResultNotLike(String value) {
            addCriterion("improve_result not like", value, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveResultIn(List<String> values) {
            addCriterion("improve_result in", values, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveResultNotIn(List<String> values) {
            addCriterion("improve_result not in", values, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveResultBetween(String value1, String value2) {
            addCriterion("improve_result between", value1, value2, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveResultNotBetween(String value1, String value2) {
            addCriterion("improve_result not between", value1, value2, "improveResult");
            return (Criteria) this;
        }

        public Criteria andImproveTimeIsNull() {
            addCriterion("improve_time is null");
            return (Criteria) this;
        }

        public Criteria andImproveTimeIsNotNull() {
            addCriterion("improve_time is not null");
            return (Criteria) this;
        }

        public Criteria andImproveTimeEqualTo(Date value) {
            addCriterion("improve_time =", value, "improveTime");
            return (Criteria) this;
        }

        public Criteria andImproveTimeNotEqualTo(Date value) {
            addCriterion("improve_time <>", value, "improveTime");
            return (Criteria) this;
        }

        public Criteria andImproveTimeGreaterThan(Date value) {
            addCriterion("improve_time >", value, "improveTime");
            return (Criteria) this;
        }

        public Criteria andImproveTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("improve_time >=", value, "improveTime");
            return (Criteria) this;
        }

        public Criteria andImproveTimeLessThan(Date value) {
            addCriterion("improve_time <", value, "improveTime");
            return (Criteria) this;
        }

        public Criteria andImproveTimeLessThanOrEqualTo(Date value) {
            addCriterion("improve_time <=", value, "improveTime");
            return (Criteria) this;
        }

        public Criteria andImproveTimeIn(List<Date> values) {
            addCriterion("improve_time in", values, "improveTime");
            return (Criteria) this;
        }

        public Criteria andImproveTimeNotIn(List<Date> values) {
            addCriterion("improve_time not in", values, "improveTime");
            return (Criteria) this;
        }

        public Criteria andImproveTimeBetween(Date value1, Date value2) {
            addCriterion("improve_time between", value1, value2, "improveTime");
            return (Criteria) this;
        }

        public Criteria andImproveTimeNotBetween(Date value1, Date value2) {
            addCriterion("improve_time not between", value1, value2, "improveTime");
            return (Criteria) this;
        }

        public Criteria andImprovePaintIsNull() {
            addCriterion("improve_paint is null");
            return (Criteria) this;
        }

        public Criteria andImprovePaintIsNotNull() {
            addCriterion("improve_paint is not null");
            return (Criteria) this;
        }

        public Criteria andImprovePaintEqualTo(String value) {
            addCriterion("improve_paint =", value, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andImprovePaintNotEqualTo(String value) {
            addCriterion("improve_paint <>", value, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andImprovePaintGreaterThan(String value) {
            addCriterion("improve_paint >", value, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andImprovePaintGreaterThanOrEqualTo(String value) {
            addCriterion("improve_paint >=", value, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andImprovePaintLessThan(String value) {
            addCriterion("improve_paint <", value, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andImprovePaintLessThanOrEqualTo(String value) {
            addCriterion("improve_paint <=", value, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andImprovePaintLike(String value) {
            addCriterion("improve_paint like", value, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andImprovePaintNotLike(String value) {
            addCriterion("improve_paint not like", value, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andImprovePaintIn(List<String> values) {
            addCriterion("improve_paint in", values, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andImprovePaintNotIn(List<String> values) {
            addCriterion("improve_paint not in", values, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andImprovePaintBetween(String value1, String value2) {
            addCriterion("improve_paint between", value1, value2, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andImprovePaintNotBetween(String value1, String value2) {
            addCriterion("improve_paint not between", value1, value2, "improvePaint");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightIsNull() {
            addCriterion("is_firstchecklevel_right is null");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightIsNotNull() {
            addCriterion("is_firstchecklevel_right is not null");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightEqualTo(String value) {
            addCriterion("is_firstchecklevel_right =", value, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightNotEqualTo(String value) {
            addCriterion("is_firstchecklevel_right <>", value, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightGreaterThan(String value) {
            addCriterion("is_firstchecklevel_right >", value, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightGreaterThanOrEqualTo(String value) {
            addCriterion("is_firstchecklevel_right >=", value, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightLessThan(String value) {
            addCriterion("is_firstchecklevel_right <", value, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightLessThanOrEqualTo(String value) {
            addCriterion("is_firstchecklevel_right <=", value, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightLike(String value) {
            addCriterion("is_firstchecklevel_right like", value, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightNotLike(String value) {
            addCriterion("is_firstchecklevel_right not like", value, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightIn(List<String> values) {
            addCriterion("is_firstchecklevel_right in", values, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightNotIn(List<String> values) {
            addCriterion("is_firstchecklevel_right not in", values, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightBetween(String value1, String value2) {
            addCriterion("is_firstchecklevel_right between", value1, value2, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andIsFirstchecklevelRightNotBetween(String value1, String value2) {
            addCriterion("is_firstchecklevel_right not between", value1, value2, "isFirstchecklevelRight");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteIsNull() {
            addCriterion("accept_unite is null");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteIsNotNull() {
            addCriterion("accept_unite is not null");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteEqualTo(String value) {
            addCriterion("accept_unite =", value, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteNotEqualTo(String value) {
            addCriterion("accept_unite <>", value, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteGreaterThan(String value) {
            addCriterion("accept_unite >", value, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteGreaterThanOrEqualTo(String value) {
            addCriterion("accept_unite >=", value, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteLessThan(String value) {
            addCriterion("accept_unite <", value, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteLessThanOrEqualTo(String value) {
            addCriterion("accept_unite <=", value, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteLike(String value) {
            addCriterion("accept_unite like", value, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteNotLike(String value) {
            addCriterion("accept_unite not like", value, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteIn(List<String> values) {
            addCriterion("accept_unite in", values, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteNotIn(List<String> values) {
            addCriterion("accept_unite not in", values, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteBetween(String value1, String value2) {
            addCriterion("accept_unite between", value1, value2, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andAcceptUniteNotBetween(String value1, String value2) {
            addCriterion("accept_unite not between", value1, value2, "acceptUnite");
            return (Criteria) this;
        }

        public Criteria andInputTimeIsNull() {
            addCriterion("input_time is null");
            return (Criteria) this;
        }

        public Criteria andInputTimeIsNotNull() {
            addCriterion("input_time is not null");
            return (Criteria) this;
        }

        public Criteria andInputTimeEqualTo(Date value) {
            addCriterion("input_time =", value, "inputTime");
            return (Criteria) this;
        }

        public Criteria andInputTimeNotEqualTo(Date value) {
            addCriterion("input_time <>", value, "inputTime");
            return (Criteria) this;
        }

        public Criteria andInputTimeGreaterThan(Date value) {
            addCriterion("input_time >", value, "inputTime");
            return (Criteria) this;
        }

        public Criteria andInputTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("input_time >=", value, "inputTime");
            return (Criteria) this;
        }

        public Criteria andInputTimeLessThan(Date value) {
            addCriterion("input_time <", value, "inputTime");
            return (Criteria) this;
        }

        public Criteria andInputTimeLessThanOrEqualTo(Date value) {
            addCriterion("input_time <=", value, "inputTime");
            return (Criteria) this;
        }

        public Criteria andInputTimeIn(List<Date> values) {
            addCriterion("input_time in", values, "inputTime");
            return (Criteria) this;
        }

        public Criteria andInputTimeNotIn(List<Date> values) {
            addCriterion("input_time not in", values, "inputTime");
            return (Criteria) this;
        }

        public Criteria andInputTimeBetween(Date value1, Date value2) {
            addCriterion("input_time between", value1, value2, "inputTime");
            return (Criteria) this;
        }

        public Criteria andInputTimeNotBetween(Date value1, Date value2) {
            addCriterion("input_time not between", value1, value2, "inputTime");
            return (Criteria) this;
        }

        public Criteria andNumberIsNull() {
            addCriterion("number is null");
            return (Criteria) this;
        }

        public Criteria andNumberIsNotNull() {
            addCriterion("number is not null");
            return (Criteria) this;
        }

        public Criteria andNumberEqualTo(String value) {
            addCriterion("number =", value, "number");
            return (Criteria) this;
        }

        public Criteria andNumberNotEqualTo(String value) {
            addCriterion("number <>", value, "number");
            return (Criteria) this;
        }

        public Criteria andNumberGreaterThan(String value) {
            addCriterion("number >", value, "number");
            return (Criteria) this;
        }

        public Criteria andNumberGreaterThanOrEqualTo(String value) {
            addCriterion("number >=", value, "number");
            return (Criteria) this;
        }

        public Criteria andNumberLessThan(String value) {
            addCriterion("number <", value, "number");
            return (Criteria) this;
        }

        public Criteria andNumberLessThanOrEqualTo(String value) {
            addCriterion("number <=", value, "number");
            return (Criteria) this;
        }

        public Criteria andNumberLike(String value) {
            addCriterion("number like", value, "number");
            return (Criteria) this;
        }

        public Criteria andNumberNotLike(String value) {
            addCriterion("number not like", value, "number");
            return (Criteria) this;
        }

        public Criteria andNumberIn(List<String> values) {
            addCriterion("number in", values, "number");
            return (Criteria) this;
        }

        public Criteria andNumberNotIn(List<String> values) {
            addCriterion("number not in", values, "number");
            return (Criteria) this;
        }

        public Criteria andNumberBetween(String value1, String value2) {
            addCriterion("number between", value1, value2, "number");
            return (Criteria) this;
        }

        public Criteria andNumberNotBetween(String value1, String value2) {
            addCriterion("number not between", value1, value2, "number");
            return (Criteria) this;
        }

        public Criteria andLocationIsNull() {
            addCriterion("location is null");
            return (Criteria) this;
        }

        public Criteria andLocationIsNotNull() {
            addCriterion("location is not null");
            return (Criteria) this;
        }

        public Criteria andLocationEqualTo(String value) {
            addCriterion("location =", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationNotEqualTo(String value) {
            addCriterion("location <>", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationGreaterThan(String value) {
            addCriterion("location >", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationGreaterThanOrEqualTo(String value) {
            addCriterion("location >=", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationLessThan(String value) {
            addCriterion("location <", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationLessThanOrEqualTo(String value) {
            addCriterion("location <=", value, "location");
            return (Criteria) this;
        }

        public Criteria andLocationIn(List<String> values) {
            addCriterion("location in", values, "location");
            return (Criteria) this;
        }

        public Criteria andLocationNotIn(List<String> values) {
            addCriterion("location not in", values, "location");
            return (Criteria) this;
        }

        public Criteria andLocationBetween(String value1, String value2) {
            addCriterion("location between", value1, value2, "location");
            return (Criteria) this;
        }

        public Criteria andLocationNotBetween(String value1, String value2) {
            addCriterion("location not between", value1, value2, "location");
            return (Criteria) this;
        }

        public Criteria andKeeperIsNull() {
            addCriterion("keeper is null");
            return (Criteria) this;
        }

        public Criteria andKeeperIsNotNull() {
            addCriterion("keeper is not null");
            return (Criteria) this;
        }

        public Criteria andKeeperEqualTo(String value) {
            addCriterion("keeper =", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperNotEqualTo(String value) {
            addCriterion("keeper <>", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperGreaterThan(String value) {
            addCriterion("keeper >", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperGreaterThanOrEqualTo(String value) {
            addCriterion("keeper >=", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperLessThan(String value) {
            addCriterion("keeper <", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperLessThanOrEqualTo(String value) {
            addCriterion("keeper <=", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperLike(String value) {
            addCriterion("keeper like", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperNotLike(String value) {
            addCriterion("keeper not like", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperIn(List<String> values) {
            addCriterion("keeper in", values, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperNotIn(List<String> values) {
            addCriterion("keeper not in", values, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperBetween(String value1, String value2) {
            addCriterion("keeper between", value1, value2, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperNotBetween(String value1, String value2) {
            addCriterion("keeper not between", value1, value2, "keeper");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeIsNull() {
            addCriterion("harvest_time is null");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeIsNotNull() {
            addCriterion("harvest_time is not null");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeEqualTo(Integer value) {
            addCriterion("harvest_time =", value, "harvestTime");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeNotEqualTo(Integer value) {
            addCriterion("harvest_time <>", value, "harvestTime");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeGreaterThan(Integer value) {
            addCriterion("harvest_time >", value, "harvestTime");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeGreaterThanOrEqualTo(Integer value) {
            addCriterion("harvest_time >=", value, "harvestTime");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeLessThan(Integer value) {
            addCriterion("harvest_time <", value, "harvestTime");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeLessThanOrEqualTo(Integer value) {
            addCriterion("harvest_time <=", value, "harvestTime");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeIn(List<Integer> values) {
            addCriterion("harvest_time in", values, "harvestTime");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeNotIn(List<Integer> values) {
            addCriterion("harvest_time not in", values, "harvestTime");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeBetween(Integer value1, Integer value2) {
            addCriterion("harvest_time between", value1, value2, "harvestTime");
            return (Criteria) this;
        }

        public Criteria andHarvestTimeNotBetween(Integer value1, Integer value2) {
            addCriterion("harvest_time not between", value1, value2, "harvestTime");
            return (Criteria) this;
        }

        public Criteria andGoodpartIsNull() {
            addCriterion("goodpart is null");
            return (Criteria) this;
        }

        public Criteria andGoodpartIsNotNull() {
            addCriterion("goodpart is not null");
            return (Criteria) this;
        }

        public Criteria andGoodpartEqualTo(String value) {
            addCriterion("goodpart =", value, "goodpart");
            return (Criteria) this;
        }

        public Criteria andGoodpartNotEqualTo(String value) {
            addCriterion("goodpart <>", value, "goodpart");
            return (Criteria) this;
        }

        public Criteria andGoodpartGreaterThan(String value) {
            addCriterion("goodpart >", value, "goodpart");
            return (Criteria) this;
        }

        public Criteria andGoodpartGreaterThanOrEqualTo(String value) {
            addCriterion("goodpart >=", value, "goodpart");
            return (Criteria) this;
        }

        public Criteria andGoodpartLessThan(String value) {
            addCriterion("goodpart <", value, "goodpart");
            return (Criteria) this;
        }

        public Criteria andGoodpartLessThanOrEqualTo(String value) {
            addCriterion("goodpart <=", value, "goodpart");
            return (Criteria) this;
        }

        public Criteria andGoodpartLike(String value) {
            addCriterion("goodpart like", value, "goodpart");
            return (Criteria) this;
        }

        public Criteria andGoodpartNotLike(String value) {
            addCriterion("goodpart not like", value, "goodpart");
            return (Criteria) this;
        }

        public Criteria andGoodpartIn(List<String> values) {
            addCriterion("goodpart in", values, "goodpart");
            return (Criteria) this;
        }

        public Criteria andGoodpartNotIn(List<String> values) {
            addCriterion("goodpart not in", values, "goodpart");
            return (Criteria) this;
        }

        public Criteria andGoodpartBetween(String value1, String value2) {
            addCriterion("goodpart between", value1, value2, "goodpart");
            return (Criteria) this;
        }

        public Criteria andGoodpartNotBetween(String value1, String value2) {
            addCriterion("goodpart not between", value1, value2, "goodpart");
            return (Criteria) this;
        }

        public Criteria andChooserIsNull() {
            addCriterion("chooser is null");
            return (Criteria) this;
        }

        public Criteria andChooserIsNotNull() {
            addCriterion("chooser is not null");
            return (Criteria) this;
        }

        public Criteria andChooserEqualTo(String value) {
            addCriterion("chooser =", value, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooserNotEqualTo(String value) {
            addCriterion("chooser <>", value, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooserGreaterThan(String value) {
            addCriterion("chooser >", value, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooserGreaterThanOrEqualTo(String value) {
            addCriterion("chooser >=", value, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooserLessThan(String value) {
            addCriterion("chooser <", value, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooserLessThanOrEqualTo(String value) {
            addCriterion("chooser <=", value, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooserLike(String value) {
            addCriterion("chooser like", value, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooserNotLike(String value) {
            addCriterion("chooser not like", value, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooserIn(List<String> values) {
            addCriterion("chooser in", values, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooserNotIn(List<String> values) {
            addCriterion("chooser not in", values, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooserBetween(String value1, String value2) {
            addCriterion("chooser between", value1, value2, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooserNotBetween(String value1, String value2) {
            addCriterion("chooser not between", value1, value2, "chooser");
            return (Criteria) this;
        }

        public Criteria andChooseTimeIsNull() {
            addCriterion("choose_time is null");
            return (Criteria) this;
        }

        public Criteria andChooseTimeIsNotNull() {
            addCriterion("choose_time is not null");
            return (Criteria) this;
        }

        public Criteria andChooseTimeEqualTo(Date value) {
            addCriterion("choose_time =", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeNotEqualTo(Date value) {
            addCriterion("choose_time <>", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeGreaterThan(Date value) {
            addCriterion("choose_time >", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("choose_time >=", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeLessThan(Date value) {
            addCriterion("choose_time <", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeLessThanOrEqualTo(Date value) {
            addCriterion("choose_time <=", value, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeIn(List<Date> values) {
            addCriterion("choose_time in", values, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeNotIn(List<Date> values) {
            addCriterion("choose_time not in", values, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeBetween(Date value1, Date value2) {
            addCriterion("choose_time between", value1, value2, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andChooseTimeNotBetween(Date value1, Date value2) {
            addCriterion("choose_time not between", value1, value2, "chooseTime");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexIsNull() {
            addCriterion("boldfat_index is null");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexIsNotNull() {
            addCriterion("boldfat_index is not null");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexEqualTo(String value) {
            addCriterion("boldfat_index =", value, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexNotEqualTo(String value) {
            addCriterion("boldfat_index <>", value, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexGreaterThan(String value) {
            addCriterion("boldfat_index >", value, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexGreaterThanOrEqualTo(String value) {
            addCriterion("boldfat_index >=", value, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexLessThan(String value) {
            addCriterion("boldfat_index <", value, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexLessThanOrEqualTo(String value) {
            addCriterion("boldfat_index <=", value, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexLike(String value) {
            addCriterion("boldfat_index like", value, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexNotLike(String value) {
            addCriterion("boldfat_index not like", value, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexIn(List<String> values) {
            addCriterion("boldfat_index in", values, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexNotIn(List<String> values) {
            addCriterion("boldfat_index not in", values, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexBetween(String value1, String value2) {
            addCriterion("boldfat_index between", value1, value2, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andBoldfatIndexNotBetween(String value1, String value2) {
            addCriterion("boldfat_index not between", value1, value2, "boldfatIndex");
            return (Criteria) this;
        }

        public Criteria andCheckTypeIsNull() {
            addCriterion("check_type is null");
            return (Criteria) this;
        }

        public Criteria andCheckTypeIsNotNull() {
            addCriterion("check_type is not null");
            return (Criteria) this;
        }

        public Criteria andCheckTypeEqualTo(String value) {
            addCriterion("check_type =", value, "checkType");
            return (Criteria) this;
        }

        public Criteria andCheckTypeNotEqualTo(String value) {
            addCriterion("check_type <>", value, "checkType");
            return (Criteria) this;
        }

        public Criteria andCheckTypeGreaterThan(String value) {
            addCriterion("check_type >", value, "checkType");
            return (Criteria) this;
        }

        public Criteria andCheckTypeGreaterThanOrEqualTo(String value) {
            addCriterion("check_type >=", value, "checkType");
            return (Criteria) this;
        }

        public Criteria andCheckTypeLessThan(String value) {
            addCriterion("check_type <", value, "checkType");
            return (Criteria) this;
        }

        public Criteria andCheckTypeLessThanOrEqualTo(String value) {
            addCriterion("check_type <=", value, "checkType");
            return (Criteria) this;
        }

        public Criteria andCheckTypeLike(String value) {
            addCriterion("check_type like", value, "checkType");
            return (Criteria) this;
        }

        public Criteria andCheckTypeNotLike(String value) {
            addCriterion("check_type not like", value, "checkType");
            return (Criteria) this;
        }

        public Criteria andCheckTypeIn(List<String> values) {
            addCriterion("check_type in", values, "checkType");
            return (Criteria) this;
        }

        public Criteria andCheckTypeNotIn(List<String> values) {
            addCriterion("check_type not in", values, "checkType");
            return (Criteria) this;
        }

        public Criteria andCheckTypeBetween(String value1, String value2) {
            addCriterion("check_type between", value1, value2, "checkType");
            return (Criteria) this;
        }

        public Criteria andCheckTypeNotBetween(String value1, String value2) {
            addCriterion("check_type not between", value1, value2, "checkType");
            return (Criteria) this;
        }

        public Criteria andHotDamageIsNull() {
            addCriterion("hot_damage is null");
            return (Criteria) this;
        }

        public Criteria andHotDamageIsNotNull() {
            addCriterion("hot_damage is not null");
            return (Criteria) this;
        }

        public Criteria andHotDamageEqualTo(String value) {
            addCriterion("hot_damage =", value, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andHotDamageNotEqualTo(String value) {
            addCriterion("hot_damage <>", value, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andHotDamageGreaterThan(String value) {
            addCriterion("hot_damage >", value, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andHotDamageGreaterThanOrEqualTo(String value) {
            addCriterion("hot_damage >=", value, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andHotDamageLessThan(String value) {
            addCriterion("hot_damage <", value, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andHotDamageLessThanOrEqualTo(String value) {
            addCriterion("hot_damage <=", value, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andHotDamageLike(String value) {
            addCriterion("hot_damage like", value, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andHotDamageNotLike(String value) {
            addCriterion("hot_damage not like", value, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andHotDamageIn(List<String> values) {
            addCriterion("hot_damage in", values, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andHotDamageNotIn(List<String> values) {
            addCriterion("hot_damage not in", values, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andHotDamageBetween(String value1, String value2) {
            addCriterion("hot_damage between", value1, value2, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andHotDamageNotBetween(String value1, String value2) {
            addCriterion("hot_damage not between", value1, value2, "hotDamage");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioIsNull() {
            addCriterion("protein_solution_ratio is null");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioIsNotNull() {
            addCriterion("protein_solution_ratio is not null");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioEqualTo(String value) {
            addCriterion("protein_solution_ratio =", value, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioNotEqualTo(String value) {
            addCriterion("protein_solution_ratio <>", value, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioGreaterThan(String value) {
            addCriterion("protein_solution_ratio >", value, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioGreaterThanOrEqualTo(String value) {
            addCriterion("protein_solution_ratio >=", value, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioLessThan(String value) {
            addCriterion("protein_solution_ratio <", value, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioLessThanOrEqualTo(String value) {
            addCriterion("protein_solution_ratio <=", value, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioLike(String value) {
            addCriterion("protein_solution_ratio like", value, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioNotLike(String value) {
            addCriterion("protein_solution_ratio not like", value, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioIn(List<String> values) {
            addCriterion("protein_solution_ratio in", values, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioNotIn(List<String> values) {
            addCriterion("protein_solution_ratio not in", values, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioBetween(String value1, String value2) {
            addCriterion("protein_solution_ratio between", value1, value2, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andProteinSolutionRatioNotBetween(String value1, String value2) {
            addCriterion("protein_solution_ratio not between", value1, value2, "proteinSolutionRatio");
            return (Criteria) this;
        }

        public Criteria andEatScoreIsNull() {
            addCriterion("eat_score is null");
            return (Criteria) this;
        }

        public Criteria andEatScoreIsNotNull() {
            addCriterion("eat_score is not null");
            return (Criteria) this;
        }

        public Criteria andEatScoreEqualTo(String value) {
            addCriterion("eat_score =", value, "eatScore");
            return (Criteria) this;
        }

        public Criteria andEatScoreNotEqualTo(String value) {
            addCriterion("eat_score <>", value, "eatScore");
            return (Criteria) this;
        }

        public Criteria andEatScoreGreaterThan(String value) {
            addCriterion("eat_score >", value, "eatScore");
            return (Criteria) this;
        }

        public Criteria andEatScoreGreaterThanOrEqualTo(String value) {
            addCriterion("eat_score >=", value, "eatScore");
            return (Criteria) this;
        }

        public Criteria andEatScoreLessThan(String value) {
            addCriterion("eat_score <", value, "eatScore");
            return (Criteria) this;
        }

        public Criteria andEatScoreLessThanOrEqualTo(String value) {
            addCriterion("eat_score <=", value, "eatScore");
            return (Criteria) this;
        }

        public Criteria andEatScoreLike(String value) {
            addCriterion("eat_score like", value, "eatScore");
            return (Criteria) this;
        }

        public Criteria andEatScoreNotLike(String value) {
            addCriterion("eat_score not like", value, "eatScore");
            return (Criteria) this;
        }

        public Criteria andEatScoreIn(List<String> values) {
            addCriterion("eat_score in", values, "eatScore");
            return (Criteria) this;
        }

        public Criteria andEatScoreNotIn(List<String> values) {
            addCriterion("eat_score not in", values, "eatScore");
            return (Criteria) this;
        }

        public Criteria andEatScoreBetween(String value1, String value2) {
            addCriterion("eat_score between", value1, value2, "eatScore");
            return (Criteria) this;
        }

        public Criteria andEatScoreNotBetween(String value1, String value2) {
            addCriterion("eat_score not between", value1, value2, "eatScore");
            return (Criteria) this;
        }

        public Criteria andFatIndexIsNull() {
            addCriterion("fat_index is null");
            return (Criteria) this;
        }

        public Criteria andFatIndexIsNotNull() {
            addCriterion("fat_index is not null");
            return (Criteria) this;
        }

        public Criteria andFatIndexEqualTo(String value) {
            addCriterion("fat_index =", value, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andFatIndexNotEqualTo(String value) {
            addCriterion("fat_index <>", value, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andFatIndexGreaterThan(String value) {
            addCriterion("fat_index >", value, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andFatIndexGreaterThanOrEqualTo(String value) {
            addCriterion("fat_index >=", value, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andFatIndexLessThan(String value) {
            addCriterion("fat_index <", value, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andFatIndexLessThanOrEqualTo(String value) {
            addCriterion("fat_index <=", value, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andFatIndexLike(String value) {
            addCriterion("fat_index like", value, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andFatIndexNotLike(String value) {
            addCriterion("fat_index not like", value, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andFatIndexIn(List<String> values) {
            addCriterion("fat_index in", values, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andFatIndexNotIn(List<String> values) {
            addCriterion("fat_index not in", values, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andFatIndexBetween(String value1, String value2) {
            addCriterion("fat_index between", value1, value2, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andFatIndexNotBetween(String value1, String value2) {
            addCriterion("fat_index not between", value1, value2, "fatIndex");
            return (Criteria) this;
        }

        public Criteria andHuskedRationIsNull() {
            addCriterion("husked_ration is null");
            return (Criteria) this;
        }

        public Criteria andHuskedRationIsNotNull() {
            addCriterion("husked_ration is not null");
            return (Criteria) this;
        }

        public Criteria andHuskedRationEqualTo(String value) {
            addCriterion("husked_ration =", value, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andHuskedRationNotEqualTo(String value) {
            addCriterion("husked_ration <>", value, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andHuskedRationGreaterThan(String value) {
            addCriterion("husked_ration >", value, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andHuskedRationGreaterThanOrEqualTo(String value) {
            addCriterion("husked_ration >=", value, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andHuskedRationLessThan(String value) {
            addCriterion("husked_ration <", value, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andHuskedRationLessThanOrEqualTo(String value) {
            addCriterion("husked_ration <=", value, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andHuskedRationLike(String value) {
            addCriterion("husked_ration like", value, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andHuskedRationNotLike(String value) {
            addCriterion("husked_ration not like", value, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andHuskedRationIn(List<String> values) {
            addCriterion("husked_ration in", values, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andHuskedRationNotIn(List<String> values) {
            addCriterion("husked_ration not in", values, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andHuskedRationBetween(String value1, String value2) {
            addCriterion("husked_ration between", value1, value2, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andHuskedRationNotBetween(String value1, String value2) {
            addCriterion("husked_ration not between", value1, value2, "huskedRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationIsNull() {
            addCriterion("full_good_ration is null");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationIsNotNull() {
            addCriterion("full_good_ration is not null");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationEqualTo(String value) {
            addCriterion("full_good_ration =", value, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationNotEqualTo(String value) {
            addCriterion("full_good_ration <>", value, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationGreaterThan(String value) {
            addCriterion("full_good_ration >", value, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationGreaterThanOrEqualTo(String value) {
            addCriterion("full_good_ration >=", value, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationLessThan(String value) {
            addCriterion("full_good_ration <", value, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationLessThanOrEqualTo(String value) {
            addCriterion("full_good_ration <=", value, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationLike(String value) {
            addCriterion("full_good_ration like", value, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationNotLike(String value) {
            addCriterion("full_good_ration not like", value, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationIn(List<String> values) {
            addCriterion("full_good_ration in", values, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationNotIn(List<String> values) {
            addCriterion("full_good_ration not in", values, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationBetween(String value1, String value2) {
            addCriterion("full_good_ration between", value1, value2, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andFullGoodRationNotBetween(String value1, String value2) {
            addCriterion("full_good_ration not between", value1, value2, "fullGoodRation");
            return (Criteria) this;
        }

        public Criteria andYellowPartIsNull() {
            addCriterion("yellow_part is null");
            return (Criteria) this;
        }

        public Criteria andYellowPartIsNotNull() {
            addCriterion("yellow_part is not null");
            return (Criteria) this;
        }

        public Criteria andYellowPartEqualTo(String value) {
            addCriterion("yellow_part =", value, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andYellowPartNotEqualTo(String value) {
            addCriterion("yellow_part <>", value, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andYellowPartGreaterThan(String value) {
            addCriterion("yellow_part >", value, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andYellowPartGreaterThanOrEqualTo(String value) {
            addCriterion("yellow_part >=", value, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andYellowPartLessThan(String value) {
            addCriterion("yellow_part <", value, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andYellowPartLessThanOrEqualTo(String value) {
            addCriterion("yellow_part <=", value, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andYellowPartLike(String value) {
            addCriterion("yellow_part like", value, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andYellowPartNotLike(String value) {
            addCriterion("yellow_part not like", value, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andYellowPartIn(List<String> values) {
            addCriterion("yellow_part in", values, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andYellowPartNotIn(List<String> values) {
            addCriterion("yellow_part not in", values, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andYellowPartBetween(String value1, String value2) {
            addCriterion("yellow_part between", value1, value2, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andYellowPartNotBetween(String value1, String value2) {
            addCriterion("yellow_part not between", value1, value2, "yellowPart");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationIsNull() {
            addCriterion("out_husked_ration is null");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationIsNotNull() {
            addCriterion("out_husked_ration is not null");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationEqualTo(String value) {
            addCriterion("out_husked_ration =", value, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationNotEqualTo(String value) {
            addCriterion("out_husked_ration <>", value, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationGreaterThan(String value) {
            addCriterion("out_husked_ration >", value, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationGreaterThanOrEqualTo(String value) {
            addCriterion("out_husked_ration >=", value, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationLessThan(String value) {
            addCriterion("out_husked_ration <", value, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationLessThanOrEqualTo(String value) {
            addCriterion("out_husked_ration <=", value, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationLike(String value) {
            addCriterion("out_husked_ration like", value, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationNotLike(String value) {
            addCriterion("out_husked_ration not like", value, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationIn(List<String> values) {
            addCriterion("out_husked_ration in", values, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationNotIn(List<String> values) {
            addCriterion("out_husked_ration not in", values, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationBetween(String value1, String value2) {
            addCriterion("out_husked_ration between", value1, value2, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andOutHuskedRationNotBetween(String value1, String value2) {
            addCriterion("out_husked_ration not between", value1, value2, "outHuskedRation");
            return (Criteria) this;
        }

        public Criteria andPestsIsNull() {
            addCriterion("pests is null");
            return (Criteria) this;
        }

        public Criteria andPestsIsNotNull() {
            addCriterion("pests is not null");
            return (Criteria) this;
        }

        public Criteria andPestsEqualTo(String value) {
            addCriterion("pests =", value, "pests");
            return (Criteria) this;
        }

        public Criteria andPestsNotEqualTo(String value) {
            addCriterion("pests <>", value, "pests");
            return (Criteria) this;
        }

        public Criteria andPestsGreaterThan(String value) {
            addCriterion("pests >", value, "pests");
            return (Criteria) this;
        }

        public Criteria andPestsGreaterThanOrEqualTo(String value) {
            addCriterion("pests >=", value, "pests");
            return (Criteria) this;
        }

        public Criteria andPestsLessThan(String value) {
            addCriterion("pests <", value, "pests");
            return (Criteria) this;
        }

        public Criteria andPestsLessThanOrEqualTo(String value) {
            addCriterion("pests <=", value, "pests");
            return (Criteria) this;
        }

        public Criteria andPestsLike(String value) {
            addCriterion("pests like", value, "pests");
            return (Criteria) this;
        }

        public Criteria andPestsNotLike(String value) {
            addCriterion("pests not like", value, "pests");
            return (Criteria) this;
        }

        public Criteria andPestsIn(List<String> values) {
            addCriterion("pests in", values, "pests");
            return (Criteria) this;
        }

        public Criteria andPestsNotIn(List<String> values) {
            addCriterion("pests not in", values, "pests");
            return (Criteria) this;
        }

        public Criteria andPestsBetween(String value1, String value2) {
            addCriterion("pests between", value1, value2, "pests");
            return (Criteria) this;
        }

        public Criteria andPestsNotBetween(String value1, String value2) {
            addCriterion("pests not between", value1, value2, "pests");
            return (Criteria) this;
        }

        public Criteria andColorRatioIsNull() {
            addCriterion("color_ratio is null");
            return (Criteria) this;
        }

        public Criteria andColorRatioIsNotNull() {
            addCriterion("color_ratio is not null");
            return (Criteria) this;
        }

        public Criteria andColorRatioEqualTo(String value) {
            addCriterion("color_ratio =", value, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andColorRatioNotEqualTo(String value) {
            addCriterion("color_ratio <>", value, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andColorRatioGreaterThan(String value) {
            addCriterion("color_ratio >", value, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andColorRatioGreaterThanOrEqualTo(String value) {
            addCriterion("color_ratio >=", value, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andColorRatioLessThan(String value) {
            addCriterion("color_ratio <", value, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andColorRatioLessThanOrEqualTo(String value) {
            addCriterion("color_ratio <=", value, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andColorRatioLike(String value) {
            addCriterion("color_ratio like", value, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andColorRatioNotLike(String value) {
            addCriterion("color_ratio not like", value, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andColorRatioIn(List<String> values) {
            addCriterion("color_ratio in", values, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andColorRatioNotIn(List<String> values) {
            addCriterion("color_ratio not in", values, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andColorRatioBetween(String value1, String value2) {
            addCriterion("color_ratio between", value1, value2, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andColorRatioNotBetween(String value1, String value2) {
            addCriterion("color_ratio not between", value1, value2, "colorRatio");
            return (Criteria) this;
        }

        public Criteria andHardIndexIsNull() {
            addCriterion("hard_index is null");
            return (Criteria) this;
        }

        public Criteria andHardIndexIsNotNull() {
            addCriterion("hard_index is not null");
            return (Criteria) this;
        }

        public Criteria andHardIndexEqualTo(String value) {
            addCriterion("hard_index =", value, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andHardIndexNotEqualTo(String value) {
            addCriterion("hard_index <>", value, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andHardIndexGreaterThan(String value) {
            addCriterion("hard_index >", value, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andHardIndexGreaterThanOrEqualTo(String value) {
            addCriterion("hard_index >=", value, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andHardIndexLessThan(String value) {
            addCriterion("hard_index <", value, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andHardIndexLessThanOrEqualTo(String value) {
            addCriterion("hard_index <=", value, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andHardIndexLike(String value) {
            addCriterion("hard_index like", value, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andHardIndexNotLike(String value) {
            addCriterion("hard_index not like", value, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andHardIndexIn(List<String> values) {
            addCriterion("hard_index in", values, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andHardIndexNotIn(List<String> values) {
            addCriterion("hard_index not in", values, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andHardIndexBetween(String value1, String value2) {
            addCriterion("hard_index between", value1, value2, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andHardIndexNotBetween(String value1, String value2) {
            addCriterion("hard_index not between", value1, value2, "hardIndex");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountIsNull() {
            addCriterion("gluten_water_count is null");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountIsNotNull() {
            addCriterion("gluten_water_count is not null");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountEqualTo(String value) {
            addCriterion("gluten_water_count =", value, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountNotEqualTo(String value) {
            addCriterion("gluten_water_count <>", value, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountGreaterThan(String value) {
            addCriterion("gluten_water_count >", value, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountGreaterThanOrEqualTo(String value) {
            addCriterion("gluten_water_count >=", value, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountLessThan(String value) {
            addCriterion("gluten_water_count <", value, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountLessThanOrEqualTo(String value) {
            addCriterion("gluten_water_count <=", value, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountLike(String value) {
            addCriterion("gluten_water_count like", value, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountNotLike(String value) {
            addCriterion("gluten_water_count not like", value, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountIn(List<String> values) {
            addCriterion("gluten_water_count in", values, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountNotIn(List<String> values) {
            addCriterion("gluten_water_count not in", values, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountBetween(String value1, String value2) {
            addCriterion("gluten_water_count between", value1, value2, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andGlutenWaterCountNotBetween(String value1, String value2) {
            addCriterion("gluten_water_count not between", value1, value2, "glutenWaterCount");
            return (Criteria) this;
        }

        public Criteria andRemarksIsNull() {
            addCriterion("remarks is null");
            return (Criteria) this;
        }

        public Criteria andRemarksIsNotNull() {
            addCriterion("remarks is not null");
            return (Criteria) this;
        }

        public Criteria andRemarksEqualTo(String value) {
            addCriterion("remarks =", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotEqualTo(String value) {
            addCriterion("remarks <>", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksGreaterThan(String value) {
            addCriterion("remarks >", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksGreaterThanOrEqualTo(String value) {
            addCriterion("remarks >=", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLessThan(String value) {
            addCriterion("remarks <", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLessThanOrEqualTo(String value) {
            addCriterion("remarks <=", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksLike(String value) {
            addCriterion("remarks like", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotLike(String value) {
            addCriterion("remarks not like", value, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksIn(List<String> values) {
            addCriterion("remarks in", values, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotIn(List<String> values) {
            addCriterion("remarks not in", values, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksBetween(String value1, String value2) {
            addCriterion("remarks between", value1, value2, "remarks");
            return (Criteria) this;
        }

        public Criteria andRemarksNotBetween(String value1, String value2) {
            addCriterion("remarks not between", value1, value2, "remarks");
            return (Criteria) this;
        }

        public Criteria andApproverIsNull() {
            addCriterion("approver is null");
            return (Criteria) this;
        }

        public Criteria andApproverIsNotNull() {
            addCriterion("approver is not null");
            return (Criteria) this;
        }

        public Criteria andApproverEqualTo(String value) {
            addCriterion("approver =", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverNotEqualTo(String value) {
            addCriterion("approver <>", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverGreaterThan(String value) {
            addCriterion("approver >", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverGreaterThanOrEqualTo(String value) {
            addCriterion("approver >=", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverLessThan(String value) {
            addCriterion("approver <", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverLessThanOrEqualTo(String value) {
            addCriterion("approver <=", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverLike(String value) {
            addCriterion("approver like", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverNotLike(String value) {
            addCriterion("approver not like", value, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverIn(List<String> values) {
            addCriterion("approver in", values, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverNotIn(List<String> values) {
            addCriterion("approver not in", values, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverBetween(String value1, String value2) {
            addCriterion("approver between", value1, value2, "approver");
            return (Criteria) this;
        }

        public Criteria andApproverNotBetween(String value1, String value2) {
            addCriterion("approver not between", value1, value2, "approver");
            return (Criteria) this;
        }

        public Criteria andMildewCountIsNull() {
            addCriterion("mildew_count is null");
            return (Criteria) this;
        }

        public Criteria andMildewCountIsNotNull() {
            addCriterion("mildew_count is not null");
            return (Criteria) this;
        }

        public Criteria andMildewCountEqualTo(String value) {
            addCriterion("mildew_count =", value, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andMildewCountNotEqualTo(String value) {
            addCriterion("mildew_count <>", value, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andMildewCountGreaterThan(String value) {
            addCriterion("mildew_count >", value, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andMildewCountGreaterThanOrEqualTo(String value) {
            addCriterion("mildew_count >=", value, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andMildewCountLessThan(String value) {
            addCriterion("mildew_count <", value, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andMildewCountLessThanOrEqualTo(String value) {
            addCriterion("mildew_count <=", value, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andMildewCountLike(String value) {
            addCriterion("mildew_count like", value, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andMildewCountNotLike(String value) {
            addCriterion("mildew_count not like", value, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andMildewCountIn(List<String> values) {
            addCriterion("mildew_count in", values, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andMildewCountNotIn(List<String> values) {
            addCriterion("mildew_count not in", values, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andMildewCountBetween(String value1, String value2) {
            addCriterion("mildew_count between", value1, value2, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andMildewCountNotBetween(String value1, String value2) {
            addCriterion("mildew_count not between", value1, value2, "mildewCount");
            return (Criteria) this;
        }

        public Criteria andDamageRatioIsNull() {
            addCriterion("damage_ratio is null");
            return (Criteria) this;
        }

        public Criteria andDamageRatioIsNotNull() {
            addCriterion("damage_ratio is not null");
            return (Criteria) this;
        }

        public Criteria andDamageRatioEqualTo(String value) {
            addCriterion("damage_ratio =", value, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andDamageRatioNotEqualTo(String value) {
            addCriterion("damage_ratio <>", value, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andDamageRatioGreaterThan(String value) {
            addCriterion("damage_ratio >", value, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andDamageRatioGreaterThanOrEqualTo(String value) {
            addCriterion("damage_ratio >=", value, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andDamageRatioLessThan(String value) {
            addCriterion("damage_ratio <", value, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andDamageRatioLessThanOrEqualTo(String value) {
            addCriterion("damage_ratio <=", value, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andDamageRatioLike(String value) {
            addCriterion("damage_ratio like", value, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andDamageRatioNotLike(String value) {
            addCriterion("damage_ratio not like", value, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andDamageRatioIn(List<String> values) {
            addCriterion("damage_ratio in", values, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andDamageRatioNotIn(List<String> values) {
            addCriterion("damage_ratio not in", values, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andDamageRatioBetween(String value1, String value2) {
            addCriterion("damage_ratio between", value1, value2, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andDamageRatioNotBetween(String value1, String value2) {
            addCriterion("damage_ratio not between", value1, value2, "damageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioIsNull() {
            addCriterion("hot_damage_ratio is null");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioIsNotNull() {
            addCriterion("hot_damage_ratio is not null");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioEqualTo(String value) {
            addCriterion("hot_damage_ratio =", value, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioNotEqualTo(String value) {
            addCriterion("hot_damage_ratio <>", value, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioGreaterThan(String value) {
            addCriterion("hot_damage_ratio >", value, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioGreaterThanOrEqualTo(String value) {
            addCriterion("hot_damage_ratio >=", value, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioLessThan(String value) {
            addCriterion("hot_damage_ratio <", value, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioLessThanOrEqualTo(String value) {
            addCriterion("hot_damage_ratio <=", value, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioLike(String value) {
            addCriterion("hot_damage_ratio like", value, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioNotLike(String value) {
            addCriterion("hot_damage_ratio not like", value, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioIn(List<String> values) {
            addCriterion("hot_damage_ratio in", values, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioNotIn(List<String> values) {
            addCriterion("hot_damage_ratio not in", values, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioBetween(String value1, String value2) {
            addCriterion("hot_damage_ratio between", value1, value2, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHotDamageRatioNotBetween(String value1, String value2) {
            addCriterion("hot_damage_ratio not between", value1, value2, "hotDamageRatio");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightIsNull() {
            addCriterion("husked_rice_weight is null");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightIsNotNull() {
            addCriterion("husked_rice_weight is not null");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightEqualTo(String value) {
            addCriterion("husked_rice_weight =", value, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightNotEqualTo(String value) {
            addCriterion("husked_rice_weight <>", value, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightGreaterThan(String value) {
            addCriterion("husked_rice_weight >", value, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightGreaterThanOrEqualTo(String value) {
            addCriterion("husked_rice_weight >=", value, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightLessThan(String value) {
            addCriterion("husked_rice_weight <", value, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightLessThanOrEqualTo(String value) {
            addCriterion("husked_rice_weight <=", value, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightLike(String value) {
            addCriterion("husked_rice_weight like", value, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightNotLike(String value) {
            addCriterion("husked_rice_weight not like", value, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightIn(List<String> values) {
            addCriterion("husked_rice_weight in", values, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightNotIn(List<String> values) {
            addCriterion("husked_rice_weight not in", values, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightBetween(String value1, String value2) {
            addCriterion("husked_rice_weight between", value1, value2, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andHuskedRiceWeightNotBetween(String value1, String value2) {
            addCriterion("husked_rice_weight not between", value1, value2, "huskedRiceWeight");
            return (Criteria) this;
        }

        public Criteria andReviewerIsNull() {
            addCriterion("reviewer is null");
            return (Criteria) this;
        }

        public Criteria andReviewerIsNotNull() {
            addCriterion("reviewer is not null");
            return (Criteria) this;
        }

        public Criteria andReviewerEqualTo(String value) {
            addCriterion("reviewer =", value, "reviewer");
            return (Criteria) this;
        }

        public Criteria andReviewerNotEqualTo(String value) {
            addCriterion("reviewer <>", value, "reviewer");
            return (Criteria) this;
        }

        public Criteria andReviewerGreaterThan(String value) {
            addCriterion("reviewer >", value, "reviewer");
            return (Criteria) this;
        }

        public Criteria andReviewerGreaterThanOrEqualTo(String value) {
            addCriterion("reviewer >=", value, "reviewer");
            return (Criteria) this;
        }

        public Criteria andReviewerLessThan(String value) {
            addCriterion("reviewer <", value, "reviewer");
            return (Criteria) this;
        }

        public Criteria andReviewerLessThanOrEqualTo(String value) {
            addCriterion("reviewer <=", value, "reviewer");
            return (Criteria) this;
        }

        public Criteria andReviewerLike(String value) {
            addCriterion("reviewer like", value, "reviewer");
            return (Criteria) this;
        }

        public Criteria andReviewerNotLike(String value) {
            addCriterion("reviewer not like", value, "reviewer");
            return (Criteria) this;
        }

        public Criteria andReviewerIn(List<String> values) {
            addCriterion("reviewer in", values, "reviewer");
            return (Criteria) this;
        }

        public Criteria andReviewerNotIn(List<String> values) {
            addCriterion("reviewer not in", values, "reviewer");
            return (Criteria) this;
        }

        public Criteria andReviewerBetween(String value1, String value2) {
            addCriterion("reviewer between", value1, value2, "reviewer");
            return (Criteria) this;
        }

        public Criteria andReviewerNotBetween(String value1, String value2) {
            addCriterion("reviewer not between", value1, value2, "reviewer");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeIsNull() {
            addCriterion("apply_check_time is null");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeIsNotNull() {
            addCriterion("apply_check_time is not null");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeEqualTo(Date value) {
            addCriterion("apply_check_time =", value, "applyCheckTime");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeNotEqualTo(Date value) {
            addCriterion("apply_check_time <>", value, "applyCheckTime");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeGreaterThan(Date value) {
            addCriterion("apply_check_time >", value, "applyCheckTime");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("apply_check_time >=", value, "applyCheckTime");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeLessThan(Date value) {
            addCriterion("apply_check_time <", value, "applyCheckTime");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeLessThanOrEqualTo(Date value) {
            addCriterion("apply_check_time <=", value, "applyCheckTime");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeIn(List<Date> values) {
            addCriterion("apply_check_time in", values, "applyCheckTime");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeNotIn(List<Date> values) {
            addCriterion("apply_check_time not in", values, "applyCheckTime");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeBetween(Date value1, Date value2) {
            addCriterion("apply_check_time between", value1, value2, "applyCheckTime");
            return (Criteria) this;
        }

        public Criteria andApplyCheckTimeNotBetween(Date value1, Date value2) {
            addCriterion("apply_check_time not between", value1, value2, "applyCheckTime");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeIsNull() {
            addCriterion("check_time_type is null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeIsNotNull() {
            addCriterion("check_time_type is not null");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeEqualTo(String value) {
            addCriterion("check_time_type =", value, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeNotEqualTo(String value) {
            addCriterion("check_time_type <>", value, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeGreaterThan(String value) {
            addCriterion("check_time_type >", value, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeGreaterThanOrEqualTo(String value) {
            addCriterion("check_time_type >=", value, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeLessThan(String value) {
            addCriterion("check_time_type <", value, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeLessThanOrEqualTo(String value) {
            addCriterion("check_time_type <=", value, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeLike(String value) {
            addCriterion("check_time_type like", value, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeNotLike(String value) {
            addCriterion("check_time_type not like", value, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeIn(List<String> values) {
            addCriterion("check_time_type in", values, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeNotIn(List<String> values) {
            addCriterion("check_time_type not in", values, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeBetween(String value1, String value2) {
            addCriterion("check_time_type between", value1, value2, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckTimeTypeNotBetween(String value1, String value2) {
            addCriterion("check_time_type not between", value1, value2, "checkTimeType");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeIsNull() {
            addCriterion("check_result_time is null");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeIsNotNull() {
            addCriterion("check_result_time is not null");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeEqualTo(Date value) {
            addCriterion("check_result_time =", value, "checkResultTime");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeNotEqualTo(Date value) {
            addCriterion("check_result_time <>", value, "checkResultTime");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeGreaterThan(Date value) {
            addCriterion("check_result_time >", value, "checkResultTime");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("check_result_time >=", value, "checkResultTime");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeLessThan(Date value) {
            addCriterion("check_result_time <", value, "checkResultTime");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeLessThanOrEqualTo(Date value) {
            addCriterion("check_result_time <=", value, "checkResultTime");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeIn(List<Date> values) {
            addCriterion("check_result_time in", values, "checkResultTime");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeNotIn(List<Date> values) {
            addCriterion("check_result_time not in", values, "checkResultTime");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeBetween(Date value1, Date value2) {
            addCriterion("check_result_time between", value1, value2, "checkResultTime");
            return (Criteria) this;
        }

        public Criteria andCheckResultTimeNotBetween(Date value1, Date value2) {
            addCriterion("check_result_time not between", value1, value2, "checkResultTime");
            return (Criteria) this;
        }

        public Criteria andStoreQualityIsNull() {
            addCriterion("store_quality is null");
            return (Criteria) this;
        }

        public Criteria andStoreQualityIsNotNull() {
            addCriterion("store_quality is not null");
            return (Criteria) this;
        }

        public Criteria andStoreQualityEqualTo(String value) {
            addCriterion("store_quality =", value, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andStoreQualityNotEqualTo(String value) {
            addCriterion("store_quality <>", value, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andStoreQualityGreaterThan(String value) {
            addCriterion("store_quality >", value, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andStoreQualityGreaterThanOrEqualTo(String value) {
            addCriterion("store_quality >=", value, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andStoreQualityLessThan(String value) {
            addCriterion("store_quality <", value, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andStoreQualityLessThanOrEqualTo(String value) {
            addCriterion("store_quality <=", value, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andStoreQualityLike(String value) {
            addCriterion("store_quality like", value, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andStoreQualityNotLike(String value) {
            addCriterion("store_quality not like", value, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andStoreQualityIn(List<String> values) {
            addCriterion("store_quality in", values, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andStoreQualityNotIn(List<String> values) {
            addCriterion("store_quality not in", values, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andStoreQualityBetween(String value1, String value2) {
            addCriterion("store_quality between", value1, value2, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andStoreQualityNotBetween(String value1, String value2) {
            addCriterion("store_quality not between", value1, value2, "storeQuality");
            return (Criteria) this;
        }

        public Criteria andIsPestIsNull() {
            addCriterion("is_pest is null");
            return (Criteria) this;
        }

        public Criteria andIsPestIsNotNull() {
            addCriterion("is_pest is not null");
            return (Criteria) this;
        }

        public Criteria andIsPestEqualTo(String value) {
            addCriterion("is_pest =", value, "isPest");
            return (Criteria) this;
        }

        public Criteria andIsPestNotEqualTo(String value) {
            addCriterion("is_pest <>", value, "isPest");
            return (Criteria) this;
        }

        public Criteria andIsPestGreaterThan(String value) {
            addCriterion("is_pest >", value, "isPest");
            return (Criteria) this;
        }

        public Criteria andIsPestGreaterThanOrEqualTo(String value) {
            addCriterion("is_pest >=", value, "isPest");
            return (Criteria) this;
        }

        public Criteria andIsPestLessThan(String value) {
            addCriterion("is_pest <", value, "isPest");
            return (Criteria) this;
        }

        public Criteria andIsPestLessThanOrEqualTo(String value) {
            addCriterion("is_pest <=", value, "isPest");
            return (Criteria) this;
        }

        public Criteria andIsPestLike(String value) {
            addCriterion("is_pest like", value, "isPest");
            return (Criteria) this;
        }

        public Criteria andIsPestNotLike(String value) {
            addCriterion("is_pest not like", value, "isPest");
            return (Criteria) this;
        }

        public Criteria andIsPestIn(List<String> values) {
            addCriterion("is_pest in", values, "isPest");
            return (Criteria) this;
        }

        public Criteria andIsPestNotIn(List<String> values) {
            addCriterion("is_pest not in", values, "isPest");
            return (Criteria) this;
        }

        public Criteria andIsPestBetween(String value1, String value2) {
            addCriterion("is_pest between", value1, value2, "isPest");
            return (Criteria) this;
        }

        public Criteria andIsPestNotBetween(String value1, String value2) {
            addCriterion("is_pest not between", value1, value2, "isPest");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisIsNull() {
            addCriterion("inspection_standard_basis is null");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisIsNotNull() {
            addCriterion("inspection_standard_basis is not null");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisEqualTo(String value) {
            addCriterion("inspection_standard_basis =", value, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisNotEqualTo(String value) {
            addCriterion("inspection_standard_basis <>", value, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisGreaterThan(String value) {
            addCriterion("inspection_standard_basis >", value, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisGreaterThanOrEqualTo(String value) {
            addCriterion("inspection_standard_basis >=", value, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisLessThan(String value) {
            addCriterion("inspection_standard_basis <", value, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisLessThanOrEqualTo(String value) {
            addCriterion("inspection_standard_basis <=", value, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisLike(String value) {
            addCriterion("inspection_standard_basis like", value, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisNotLike(String value) {
            addCriterion("inspection_standard_basis not like", value, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisIn(List<String> values) {
            addCriterion("inspection_standard_basis in", values, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisNotIn(List<String> values) {
            addCriterion("inspection_standard_basis not in", values, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisBetween(String value1, String value2) {
            addCriterion("inspection_standard_basis between", value1, value2, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andInspectionStandardBasisNotBetween(String value1, String value2) {
            addCriterion("inspection_standard_basis not between", value1, value2, "inspectionStandardBasis");
            return (Criteria) this;
        }

        public Criteria andQualityIsNull() {
            addCriterion("quality is null");
            return (Criteria) this;
        }

        public Criteria andQualityIsNotNull() {
            addCriterion("quality is not null");
            return (Criteria) this;
        }

        public Criteria andQualityEqualTo(String value) {
            addCriterion("quality =", value, "quality");
            return (Criteria) this;
        }

        public Criteria andQualityNotEqualTo(String value) {
            addCriterion("quality <>", value, "quality");
            return (Criteria) this;
        }

        public Criteria andQualityGreaterThan(String value) {
            addCriterion("quality >", value, "quality");
            return (Criteria) this;
        }

        public Criteria andQualityGreaterThanOrEqualTo(String value) {
            addCriterion("quality >=", value, "quality");
            return (Criteria) this;
        }

        public Criteria andQualityLessThan(String value) {
            addCriterion("quality <", value, "quality");
            return (Criteria) this;
        }

        public Criteria andQualityLessThanOrEqualTo(String value) {
            addCriterion("quality <=", value, "quality");
            return (Criteria) this;
        }

        public Criteria andQualityLike(String value) {
            addCriterion("quality like", value, "quality");
            return (Criteria) this;
        }

        public Criteria andQualityNotLike(String value) {
            addCriterion("quality not like", value, "quality");
            return (Criteria) this;
        }

        public Criteria andQualityIn(List<String> values) {
            addCriterion("quality in", values, "quality");
            return (Criteria) this;
        }

        public Criteria andQualityNotIn(List<String> values) {
            addCriterion("quality not in", values, "quality");
            return (Criteria) this;
        }

        public Criteria andQualityBetween(String value1, String value2) {
            addCriterion("quality between", value1, value2, "quality");
            return (Criteria) this;
        }

        public Criteria andQualityNotBetween(String value1, String value2) {
            addCriterion("quality not between", value1, value2, "quality");
            return (Criteria) this;
        }

        public Criteria andSealDateIsNull() {
            addCriterion("seal_date is null");
            return (Criteria) this;
        }

        public Criteria andSealDateIsNotNull() {
            addCriterion("seal_date is not null");
            return (Criteria) this;
        }

        public Criteria andSealDateEqualTo(Date value) {
            addCriterion("seal_date =", value, "sealDate");
            return (Criteria) this;
        }

        public Criteria andSealDateNotEqualTo(Date value) {
            addCriterion("seal_date <>", value, "sealDate");
            return (Criteria) this;
        }

        public Criteria andSealDateGreaterThan(Date value) {
            addCriterion("seal_date >", value, "sealDate");
            return (Criteria) this;
        }

        public Criteria andSealDateGreaterThanOrEqualTo(Date value) {
            addCriterion("seal_date >=", value, "sealDate");
            return (Criteria) this;
        }

        public Criteria andSealDateLessThan(Date value) {
            addCriterion("seal_date <", value, "sealDate");
            return (Criteria) this;
        }

        public Criteria andSealDateLessThanOrEqualTo(Date value) {
            addCriterion("seal_date <=", value, "sealDate");
            return (Criteria) this;
        }

        public Criteria andSealDateIn(List<Date> values) {
            addCriterion("seal_date in", values, "sealDate");
            return (Criteria) this;
        }

        public Criteria andSealDateNotIn(List<Date> values) {
            addCriterion("seal_date not in", values, "sealDate");
            return (Criteria) this;
        }

        public Criteria andSealDateBetween(Date value1, Date value2) {
            addCriterion("seal_date between", value1, value2, "sealDate");
            return (Criteria) this;
        }

        public Criteria andSealDateNotBetween(Date value1, Date value2) {
            addCriterion("seal_date not between", value1, value2, "sealDate");
            return (Criteria) this;
        }

        public Criteria andSealStatusIsNull() {
            addCriterion("seal_status is null");
            return (Criteria) this;
        }

        public Criteria andSealStatusIsNotNull() {
            addCriterion("seal_status is not null");
            return (Criteria) this;
        }

        public Criteria andSealStatusEqualTo(String value) {
            addCriterion("seal_status =", value, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andSealStatusNotEqualTo(String value) {
            addCriterion("seal_status <>", value, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andSealStatusGreaterThan(String value) {
            addCriterion("seal_status >", value, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andSealStatusGreaterThanOrEqualTo(String value) {
            addCriterion("seal_status >=", value, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andSealStatusLessThan(String value) {
            addCriterion("seal_status <", value, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andSealStatusLessThanOrEqualTo(String value) {
            addCriterion("seal_status <=", value, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andSealStatusLike(String value) {
            addCriterion("seal_status like", value, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andSealStatusNotLike(String value) {
            addCriterion("seal_status not like", value, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andSealStatusIn(List<String> values) {
            addCriterion("seal_status in", values, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andSealStatusNotIn(List<String> values) {
            addCriterion("seal_status not in", values, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andSealStatusBetween(String value1, String value2) {
            addCriterion("seal_status between", value1, value2, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andSealStatusNotBetween(String value1, String value2) {
            addCriterion("seal_status not between", value1, value2, "sealStatus");
            return (Criteria) this;
        }

        public Criteria andAuthCodeIsNull() {
            addCriterion("auth_code is null");
            return (Criteria) this;
        }

        public Criteria andAuthCodeIsNotNull() {
            addCriterion("auth_code is not null");
            return (Criteria) this;
        }

        public Criteria andAuthCodeEqualTo(String value) {
            addCriterion("auth_code =", value, "authCode");
            return (Criteria) this;
        }

        public Criteria andAuthCodeNotEqualTo(String value) {
            addCriterion("auth_code <>", value, "authCode");
            return (Criteria) this;
        }

        public Criteria andAuthCodeGreaterThan(String value) {
            addCriterion("auth_code >", value, "authCode");
            return (Criteria) this;
        }

        public Criteria andAuthCodeGreaterThanOrEqualTo(String value) {
            addCriterion("auth_code >=", value, "authCode");
            return (Criteria) this;
        }

        public Criteria andAuthCodeLessThan(String value) {
            addCriterion("auth_code <", value, "authCode");
            return (Criteria) this;
        }

        public Criteria andAuthCodeLessThanOrEqualTo(String value) {
            addCriterion("auth_code <=", value, "authCode");
            return (Criteria) this;
        }

        public Criteria andAuthCodeLike(String value) {
            addCriterion("auth_code like", value, "authCode");
            return (Criteria) this;
        }

        public Criteria andAuthCodeNotLike(String value) {
            addCriterion("auth_code not like", value, "authCode");
            return (Criteria) this;
        }

        public Criteria andAuthCodeIn(List<String> values) {
            addCriterion("auth_code in", values, "authCode");
            return (Criteria) this;
        }

        public Criteria andAuthCodeNotIn(List<String> values) {
            addCriterion("auth_code not in", values, "authCode");
            return (Criteria) this;
        }

        public Criteria andAuthCodeBetween(String value1, String value2) {
            addCriterion("auth_code between", value1, value2, "authCode");
            return (Criteria) this;
        }

        public Criteria andAuthCodeNotBetween(String value1, String value2) {
            addCriterion("auth_code not between", value1, value2, "authCode");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusIsNull() {
            addCriterion("history_status is null");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusIsNotNull() {
            addCriterion("history_status is not null");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusEqualTo(Integer value) {
            addCriterion("history_status =", value, "historyStatus");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusNotEqualTo(Integer value) {
            addCriterion("history_status <>", value, "historyStatus");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusGreaterThan(Integer value) {
            addCriterion("history_status >", value, "historyStatus");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("history_status >=", value, "historyStatus");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusLessThan(Integer value) {
            addCriterion("history_status <", value, "historyStatus");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusLessThanOrEqualTo(Integer value) {
            addCriterion("history_status <=", value, "historyStatus");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusIn(List<Integer> values) {
            addCriterion("history_status in", values, "historyStatus");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusNotIn(List<Integer> values) {
            addCriterion("history_status not in", values, "historyStatus");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusBetween(Integer value1, Integer value2) {
            addCriterion("history_status between", value1, value2, "historyStatus");
            return (Criteria) this;
        }

        public Criteria andHistoryStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("history_status not between", value1, value2, "historyStatus");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateIsNull() {
            addCriterion("intermixing_rate is null");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateIsNotNull() {
            addCriterion("intermixing_rate is not null");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateEqualTo(String value) {
            addCriterion("intermixing_rate =", value, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateNotEqualTo(String value) {
            addCriterion("intermixing_rate <>", value, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateGreaterThan(String value) {
            addCriterion("intermixing_rate >", value, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateGreaterThanOrEqualTo(String value) {
            addCriterion("intermixing_rate >=", value, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateLessThan(String value) {
            addCriterion("intermixing_rate <", value, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateLessThanOrEqualTo(String value) {
            addCriterion("intermixing_rate <=", value, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateLike(String value) {
            addCriterion("intermixing_rate like", value, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateNotLike(String value) {
            addCriterion("intermixing_rate not like", value, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateIn(List<String> values) {
            addCriterion("intermixing_rate in", values, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateNotIn(List<String> values) {
            addCriterion("intermixing_rate not in", values, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateBetween(String value1, String value2) {
            addCriterion("intermixing_rate between", value1, value2, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andIntermixingRateNotBetween(String value1, String value2) {
            addCriterion("intermixing_rate not between", value1, value2, "intermixingRate");
            return (Criteria) this;
        }

        public Criteria andSmelltasteIsNull() {
            addCriterion("smelltaste is null");
            return (Criteria) this;
        }

        public Criteria andSmelltasteIsNotNull() {
            addCriterion("smelltaste is not null");
            return (Criteria) this;
        }

        public Criteria andSmelltasteEqualTo(String value) {
            addCriterion("smelltaste =", value, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andSmelltasteNotEqualTo(String value) {
            addCriterion("smelltaste <>", value, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andSmelltasteGreaterThan(String value) {
            addCriterion("smelltaste >", value, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andSmelltasteGreaterThanOrEqualTo(String value) {
            addCriterion("smelltaste >=", value, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andSmelltasteLessThan(String value) {
            addCriterion("smelltaste <", value, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andSmelltasteLessThanOrEqualTo(String value) {
            addCriterion("smelltaste <=", value, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andSmelltasteLike(String value) {
            addCriterion("smelltaste like", value, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andSmelltasteNotLike(String value) {
            addCriterion("smelltaste not like", value, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andSmelltasteIn(List<String> values) {
            addCriterion("smelltaste in", values, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andSmelltasteNotIn(List<String> values) {
            addCriterion("smelltaste not in", values, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andSmelltasteBetween(String value1, String value2) {
            addCriterion("smelltaste between", value1, value2, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andSmelltasteNotBetween(String value1, String value2) {
            addCriterion("smelltaste not between", value1, value2, "smelltaste");
            return (Criteria) this;
        }

        public Criteria andTransparencyIsNull() {
            addCriterion("transparency is null");
            return (Criteria) this;
        }

        public Criteria andTransparencyIsNotNull() {
            addCriterion("transparency is not null");
            return (Criteria) this;
        }

        public Criteria andTransparencyEqualTo(String value) {
            addCriterion("transparency =", value, "transparency");
            return (Criteria) this;
        }

        public Criteria andTransparencyNotEqualTo(String value) {
            addCriterion("transparency <>", value, "transparency");
            return (Criteria) this;
        }

        public Criteria andTransparencyGreaterThan(String value) {
            addCriterion("transparency >", value, "transparency");
            return (Criteria) this;
        }

        public Criteria andTransparencyGreaterThanOrEqualTo(String value) {
            addCriterion("transparency >=", value, "transparency");
            return (Criteria) this;
        }

        public Criteria andTransparencyLessThan(String value) {
            addCriterion("transparency <", value, "transparency");
            return (Criteria) this;
        }

        public Criteria andTransparencyLessThanOrEqualTo(String value) {
            addCriterion("transparency <=", value, "transparency");
            return (Criteria) this;
        }

        public Criteria andTransparencyLike(String value) {
            addCriterion("transparency like", value, "transparency");
            return (Criteria) this;
        }

        public Criteria andTransparencyNotLike(String value) {
            addCriterion("transparency not like", value, "transparency");
            return (Criteria) this;
        }

        public Criteria andTransparencyIn(List<String> values) {
            addCriterion("transparency in", values, "transparency");
            return (Criteria) this;
        }

        public Criteria andTransparencyNotIn(List<String> values) {
            addCriterion("transparency not in", values, "transparency");
            return (Criteria) this;
        }

        public Criteria andTransparencyBetween(String value1, String value2) {
            addCriterion("transparency between", value1, value2, "transparency");
            return (Criteria) this;
        }

        public Criteria andTransparencyNotBetween(String value1, String value2) {
            addCriterion("transparency not between", value1, value2, "transparency");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueIsNull() {
            addCriterion("peroxide_value is null");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueIsNotNull() {
            addCriterion("peroxide_value is not null");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueEqualTo(String value) {
            addCriterion("peroxide_value =", value, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueNotEqualTo(String value) {
            addCriterion("peroxide_value <>", value, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueGreaterThan(String value) {
            addCriterion("peroxide_value >", value, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueGreaterThanOrEqualTo(String value) {
            addCriterion("peroxide_value >=", value, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueLessThan(String value) {
            addCriterion("peroxide_value <", value, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueLessThanOrEqualTo(String value) {
            addCriterion("peroxide_value <=", value, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueLike(String value) {
            addCriterion("peroxide_value like", value, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueNotLike(String value) {
            addCriterion("peroxide_value not like", value, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueIn(List<String> values) {
            addCriterion("peroxide_value in", values, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueNotIn(List<String> values) {
            addCriterion("peroxide_value not in", values, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueBetween(String value1, String value2) {
            addCriterion("peroxide_value between", value1, value2, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andPeroxideValueNotBetween(String value1, String value2) {
            addCriterion("peroxide_value not between", value1, value2, "peroxideValue");
            return (Criteria) this;
        }

        public Criteria andSmokePointIsNull() {
            addCriterion("smoke_point is null");
            return (Criteria) this;
        }

        public Criteria andSmokePointIsNotNull() {
            addCriterion("smoke_point is not null");
            return (Criteria) this;
        }

        public Criteria andSmokePointEqualTo(String value) {
            addCriterion("smoke_point =", value, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andSmokePointNotEqualTo(String value) {
            addCriterion("smoke_point <>", value, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andSmokePointGreaterThan(String value) {
            addCriterion("smoke_point >", value, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andSmokePointGreaterThanOrEqualTo(String value) {
            addCriterion("smoke_point >=", value, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andSmokePointLessThan(String value) {
            addCriterion("smoke_point <", value, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andSmokePointLessThanOrEqualTo(String value) {
            addCriterion("smoke_point <=", value, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andSmokePointLike(String value) {
            addCriterion("smoke_point like", value, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andSmokePointNotLike(String value) {
            addCriterion("smoke_point not like", value, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andSmokePointIn(List<String> values) {
            addCriterion("smoke_point in", values, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andSmokePointNotIn(List<String> values) {
            addCriterion("smoke_point not in", values, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andSmokePointBetween(String value1, String value2) {
            addCriterion("smoke_point between", value1, value2, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andSmokePointNotBetween(String value1, String value2) {
            addCriterion("smoke_point not between", value1, value2, "smokePoint");
            return (Criteria) this;
        }

        public Criteria andReezeTestIsNull() {
            addCriterion("reeze_test is null");
            return (Criteria) this;
        }

        public Criteria andReezeTestIsNotNull() {
            addCriterion("reeze_test is not null");
            return (Criteria) this;
        }

        public Criteria andReezeTestEqualTo(String value) {
            addCriterion("reeze_test =", value, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andReezeTestNotEqualTo(String value) {
            addCriterion("reeze_test <>", value, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andReezeTestGreaterThan(String value) {
            addCriterion("reeze_test >", value, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andReezeTestGreaterThanOrEqualTo(String value) {
            addCriterion("reeze_test >=", value, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andReezeTestLessThan(String value) {
            addCriterion("reeze_test <", value, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andReezeTestLessThanOrEqualTo(String value) {
            addCriterion("reeze_test <=", value, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andReezeTestLike(String value) {
            addCriterion("reeze_test like", value, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andReezeTestNotLike(String value) {
            addCriterion("reeze_test not like", value, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andReezeTestIn(List<String> values) {
            addCriterion("reeze_test in", values, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andReezeTestNotIn(List<String> values) {
            addCriterion("reeze_test not in", values, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andReezeTestBetween(String value1, String value2) {
            addCriterion("reeze_test between", value1, value2, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andReezeTestNotBetween(String value1, String value2) {
            addCriterion("reeze_test not between", value1, value2, "reezeTest");
            return (Criteria) this;
        }

        public Criteria andResidualSolventIsNull() {
            addCriterion("residual_solvent is null");
            return (Criteria) this;
        }

        public Criteria andResidualSolventIsNotNull() {
            addCriterion("residual_solvent is not null");
            return (Criteria) this;
        }

        public Criteria andResidualSolventEqualTo(String value) {
            addCriterion("residual_solvent =", value, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andResidualSolventNotEqualTo(String value) {
            addCriterion("residual_solvent <>", value, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andResidualSolventGreaterThan(String value) {
            addCriterion("residual_solvent >", value, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andResidualSolventGreaterThanOrEqualTo(String value) {
            addCriterion("residual_solvent >=", value, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andResidualSolventLessThan(String value) {
            addCriterion("residual_solvent <", value, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andResidualSolventLessThanOrEqualTo(String value) {
            addCriterion("residual_solvent <=", value, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andResidualSolventLike(String value) {
            addCriterion("residual_solvent like", value, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andResidualSolventNotLike(String value) {
            addCriterion("residual_solvent not like", value, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andResidualSolventIn(List<String> values) {
            addCriterion("residual_solvent in", values, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andResidualSolventNotIn(List<String> values) {
            addCriterion("residual_solvent not in", values, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andResidualSolventBetween(String value1, String value2) {
            addCriterion("residual_solvent between", value1, value2, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andResidualSolventNotBetween(String value1, String value2) {
            addCriterion("residual_solvent not between", value1, value2, "residualSolvent");
            return (Criteria) this;
        }

        public Criteria andLeadIsNull() {
            addCriterion("lead is null");
            return (Criteria) this;
        }

        public Criteria andLeadIsNotNull() {
            addCriterion("lead is not null");
            return (Criteria) this;
        }

        public Criteria andLeadEqualTo(String value) {
            addCriterion("lead =", value, "lead");
            return (Criteria) this;
        }

        public Criteria andLeadNotEqualTo(String value) {
            addCriterion("lead <>", value, "lead");
            return (Criteria) this;
        }

        public Criteria andLeadGreaterThan(String value) {
            addCriterion("lead >", value, "lead");
            return (Criteria) this;
        }

        public Criteria andLeadGreaterThanOrEqualTo(String value) {
            addCriterion("lead >=", value, "lead");
            return (Criteria) this;
        }

        public Criteria andLeadLessThan(String value) {
            addCriterion("lead <", value, "lead");
            return (Criteria) this;
        }

        public Criteria andLeadLessThanOrEqualTo(String value) {
            addCriterion("lead <=", value, "lead");
            return (Criteria) this;
        }

        public Criteria andLeadLike(String value) {
            addCriterion("lead like", value, "lead");
            return (Criteria) this;
        }

        public Criteria andLeadNotLike(String value) {
            addCriterion("lead not like", value, "lead");
            return (Criteria) this;
        }

        public Criteria andLeadIn(List<String> values) {
            addCriterion("lead in", values, "lead");
            return (Criteria) this;
        }

        public Criteria andLeadNotIn(List<String> values) {
            addCriterion("lead not in", values, "lead");
            return (Criteria) this;
        }

        public Criteria andLeadBetween(String value1, String value2) {
            addCriterion("lead between", value1, value2, "lead");
            return (Criteria) this;
        }

        public Criteria andLeadNotBetween(String value1, String value2) {
            addCriterion("lead not between", value1, value2, "lead");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicIsNull() {
            addCriterion("total_arsenic is null");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicIsNotNull() {
            addCriterion("total_arsenic is not null");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicEqualTo(String value) {
            addCriterion("total_arsenic =", value, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicNotEqualTo(String value) {
            addCriterion("total_arsenic <>", value, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicGreaterThan(String value) {
            addCriterion("total_arsenic >", value, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicGreaterThanOrEqualTo(String value) {
            addCriterion("total_arsenic >=", value, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicLessThan(String value) {
            addCriterion("total_arsenic <", value, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicLessThanOrEqualTo(String value) {
            addCriterion("total_arsenic <=", value, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicLike(String value) {
            addCriterion("total_arsenic like", value, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicNotLike(String value) {
            addCriterion("total_arsenic not like", value, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicIn(List<String> values) {
            addCriterion("total_arsenic in", values, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicNotIn(List<String> values) {
            addCriterion("total_arsenic not in", values, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicBetween(String value1, String value2) {
            addCriterion("total_arsenic between", value1, value2, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andTotalArsenicNotBetween(String value1, String value2) {
            addCriterion("total_arsenic not between", value1, value2, "totalArsenic");
            return (Criteria) this;
        }

        public Criteria andAflatoxinIsNull() {
            addCriterion("aflatoxin is null");
            return (Criteria) this;
        }

        public Criteria andAflatoxinIsNotNull() {
            addCriterion("aflatoxin is not null");
            return (Criteria) this;
        }

        public Criteria andAflatoxinEqualTo(String value) {
            addCriterion("aflatoxin =", value, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andAflatoxinNotEqualTo(String value) {
            addCriterion("aflatoxin <>", value, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andAflatoxinGreaterThan(String value) {
            addCriterion("aflatoxin >", value, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andAflatoxinGreaterThanOrEqualTo(String value) {
            addCriterion("aflatoxin >=", value, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andAflatoxinLessThan(String value) {
            addCriterion("aflatoxin <", value, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andAflatoxinLessThanOrEqualTo(String value) {
            addCriterion("aflatoxin <=", value, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andAflatoxinLike(String value) {
            addCriterion("aflatoxin like", value, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andAflatoxinNotLike(String value) {
            addCriterion("aflatoxin not like", value, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andAflatoxinIn(List<String> values) {
            addCriterion("aflatoxin in", values, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andAflatoxinNotIn(List<String> values) {
            addCriterion("aflatoxin not in", values, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andAflatoxinBetween(String value1, String value2) {
            addCriterion("aflatoxin between", value1, value2, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andAflatoxinNotBetween(String value1, String value2) {
            addCriterion("aflatoxin not between", value1, value2, "aflatoxin");
            return (Criteria) this;
        }

        public Criteria andButylPhenolIsNull() {
            addCriterion("butyl_phenol is null");
            return (Criteria) this;
        }

        public Criteria andButylPhenolIsNotNull() {
            addCriterion("butyl_phenol is not null");
            return (Criteria) this;
        }

        public Criteria andButylPhenolEqualTo(String value) {
            addCriterion("butyl_phenol =", value, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andButylPhenolNotEqualTo(String value) {
            addCriterion("butyl_phenol <>", value, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andButylPhenolGreaterThan(String value) {
            addCriterion("butyl_phenol >", value, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andButylPhenolGreaterThanOrEqualTo(String value) {
            addCriterion("butyl_phenol >=", value, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andButylPhenolLessThan(String value) {
            addCriterion("butyl_phenol <", value, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andButylPhenolLessThanOrEqualTo(String value) {
            addCriterion("butyl_phenol <=", value, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andButylPhenolLike(String value) {
            addCriterion("butyl_phenol like", value, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andButylPhenolNotLike(String value) {
            addCriterion("butyl_phenol not like", value, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andButylPhenolIn(List<String> values) {
            addCriterion("butyl_phenol in", values, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andButylPhenolNotIn(List<String> values) {
            addCriterion("butyl_phenol not in", values, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andButylPhenolBetween(String value1, String value2) {
            addCriterion("butyl_phenol between", value1, value2, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andButylPhenolNotBetween(String value1, String value2) {
            addCriterion("butyl_phenol not between", value1, value2, "butylPhenol");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}