package com.chinaitop.depot.agent.temperature.model;

import java.math.BigDecimal;
import java.util.Date;

public class BusinessAgentTemperature {
    private Integer id;

    private Integer agentId;

    private Integer agentDepotId;

    private Integer storehouseId;

    private String weather;

    private String actualAmount;

    private Integer lspz;

    private String nature;

    private Integer level;

    private Integer harvestYear;

    private Date enterTime;

    private String keeper;

    private BigDecimal houseTemperature;

    private BigDecimal houseHumidity;

    private BigDecimal gasTemperature;

    private BigDecimal gasHumidity;

    private Date detectionTime;

    private BigDecimal max;

    private BigDecimal min;

    private BigDecimal avg;

    private Integer orgId;

    private Date createTime;

    private Date updatetime;

    private String tPoints;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getAgentId() {
        return agentId;
    }

    public void setAgentId(Integer agentId) {
        this.agentId = agentId;
    }

    public Integer getAgentDepotId() {
        return agentDepotId;
    }

    public void setAgentDepotId(Integer agentDepotId) {
        this.agentDepotId = agentDepotId;
    }

    public Integer getStorehouseId() {
        return storehouseId;
    }

    public void setStorehouseId(Integer storehouseId) {
        this.storehouseId = storehouseId;
    }

    public String getWeather() {
        return weather;
    }

    public void setWeather(String weather) {
        this.weather = weather == null ? null : weather.trim();
    }

    public String getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(String actualAmount) {
        this.actualAmount = actualAmount == null ? null : actualAmount.trim();
    }

    public Integer getLspz() {
        return lspz;
    }

    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    public String getNature() {
        return nature;
    }

    public void setNature(String nature) {
        this.nature = nature == null ? null : nature.trim();
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getHarvestYear() {
        return harvestYear;
    }

    public void setHarvestYear(Integer harvestYear) {
        this.harvestYear = harvestYear;
    }

    public Date getEnterTime() {
        return enterTime;
    }

    public void setEnterTime(Date enterTime) {
        this.enterTime = enterTime;
    }

    public String getKeeper() {
        return keeper;
    }

    public void setKeeper(String keeper) {
        this.keeper = keeper == null ? null : keeper.trim();
    }

    public BigDecimal getHouseTemperature() {
        return houseTemperature;
    }

    public void setHouseTemperature(BigDecimal houseTemperature) {
        this.houseTemperature = houseTemperature;
    }

    public BigDecimal getHouseHumidity() {
        return houseHumidity;
    }

    public void setHouseHumidity(BigDecimal houseHumidity) {
        this.houseHumidity = houseHumidity;
    }

    public BigDecimal getGasTemperature() {
        return gasTemperature;
    }

    public void setGasTemperature(BigDecimal gasTemperature) {
        this.gasTemperature = gasTemperature;
    }

    public BigDecimal getGasHumidity() {
        return gasHumidity;
    }

    public void setGasHumidity(BigDecimal gasHumidity) {
        this.gasHumidity = gasHumidity;
    }

    public Date getDetectionTime() {
        return detectionTime;
    }

    public void setDetectionTime(Date detectionTime) {
        this.detectionTime = detectionTime;
    }

    public BigDecimal getMax() {
        return max;
    }

    public void setMax(BigDecimal max) {
        this.max = max;
    }

    public BigDecimal getMin() {
        return min;
    }

    public void setMin(BigDecimal min) {
        this.min = min;
    }

    public BigDecimal getAvg() {
        return avg;
    }

    public void setAvg(BigDecimal avg) {
        this.avg = avg;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String gettPoints() {
        return tPoints;
    }

    public void settPoints(String tPoints) {
        this.tPoints = tPoints == null ? null : tPoints.trim();
    }
}