package com.chinaitop.depot.agent.temperature.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.chinaitop.depot.agent.basic.mapper.BusinessAgentMapper;
import com.chinaitop.depot.agent.crk.model.BusinessAgentQc;
import com.chinaitop.depot.agent.temperature.mapper.BusinessAgentTemperatureMapper;
import com.chinaitop.depot.agent.temperature.model.BusinessAgentTemperature;
import com.chinaitop.depot.agent.temperature.model.BusinessAgentTemperatureExample;
import com.chinaitop.depot.agent.temperature.model.TPoints;
import com.chinaitop.depot.agent.temperature.service.agentTemperatureService;
import com.chinaitop.utils.HTTPUtils;
import com.chinaitop.utils.ParameterUtil;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.*;
import java.util.stream.Collectors;

@Service
public class AgentTemperatureServiceImpl implements agentTemperatureService {

    @Resource
    private BusinessAgentTemperatureMapper businessAgentTemperatureMapper;

    @Resource
    private BusinessAgentMapper BusinessAgentMapper;

    /**
     * 查询仓储处作业记录
     * * @param map
     * @return
     */
    @Override
    public List<Map<String, Object>> getAgentTemperatureList(List<Map<String, Object>> dataList,Map<String, Object> map) {
//        List<String> houseCode = new ArrayList<>();
//        String depotId = "";
//        String updatetime = "";
//        Integer idNum = 0;
//        List<Map<String, Object>> AllList = new ArrayList<Map<String, Object>>();
//        String houseIds = "";
//        for (int i = 0; i <= dataList.size(); i++) {
//            //如果是最后一次循环则直接查询数据，不往下走
//            if(i == dataList.size()){
//                map.put("depotId",depotId);
//                map.put("updatetime",updatetime);
//                map.put("houseCode",houseCode);
//                List<Map<String, Object>> testList = businessAgentTemperatureMapper.getTestDataList(map);
//                Map<String, Object> modelMap = new HashMap<String, Object>();
//                if(ParameterUtil.isnotnull(testList) && testList.size() != 0){
//                    for (Map<String, Object> testData:testList) {
//                        modelMap = testData;
//                        modelMap.put("agentOrgId",dataList.get(i-1).get("agentOrgId"));
//                        modelMap.put("agentStoreOrgId",dataList.get(i-1).get("agentStoreOrgId"));
//                        modelMap.put("agentName",dataList.get(i-1).get("agentName"));
//                        modelMap.put("agentDepotName",dataList.get(i-1).get("agentDepotName"));
//                        modelMap.put("designCapacity",dataList.get(i-1).get("designCapacity"));
//                        modelMap.put("storehouseName",dataList.get(i-1).get("storehouseName"));
//                        modelMap.put("storehouseId",dataList.get(i-1).get("storehouseId"));
//                        modelMap.put("keeper",dataList.get(i-1).get("keeper"));
//                        AllList.add(modelMap);
//                        if(AllList.size() == 100){
//                            break;
//                        }
//                    }
//                }
//                break;
//            }
//            houseIds += dataList.get(i).get("storehouseId") + ",";
//            if(idNum == 0){//判断算是否是一个库的仓房编号
//                depotId = dataList.get(i).get("agentOrgId").toString();
//                updatetime = dataList.get(i).get("updatetime").toString();
//                houseCode.add(dataList.get(i).get("storehouseCode").toString());
//                idNum++;
//            }else if(ParameterUtil.isequal(depotId,dataList.get(i).get("agentOrgId").toString())){//如果是一个库的则组成字符串
//                houseCode.add(dataList.get(i).get("storehouseCode").toString());
//            }else{//不是一个库的还原idNum值，以便下回循环，然后把这个库的100条温度数据查出来加入list集合，继续循环查下一个库
//                idNum = 0;
//                map.put("depotId",depotId);
//                map.put("updatetime",updatetime);
//                map.put("houseCode",houseCode);
//                List<Map<String, Object>> testList = businessAgentTemperatureMapper.getTestDataList(map);
//                Map<String, Object> modelMap = new HashMap<String, Object>();
//                if(ParameterUtil.isnotnull(testList) && testList.size() != 0){
//                    for (Map<String, Object> testData:testList) {
//                        modelMap = testData;
//                        modelMap.put("agentOrgId",dataList.get(i-1).get("agentOrgId"));
//                        modelMap.put("agentStoreOrgId",dataList.get(i-1).get("agentStoreOrgId"));
//                        modelMap.put("agentName",dataList.get(i-1).get("agentName"));
//                        modelMap.put("agentDepotName",dataList.get(i-1).get("agentDepotName"));
//                        modelMap.put("designCapacity",dataList.get(i-1).get("designCapacity"));
//                        modelMap.put("storehouseName",dataList.get(i-1).get("storehouseName"));
//                        modelMap.put("storehouseId",dataList.get(i-1).get("storehouseId"));
//                        modelMap.put("keeper",dataList.get(i-1).get("keeper"));
//                        AllList.add(modelMap);
//                        if(AllList.size() == 100){
//                            break;
//                        }
//                    }
//                }
//            }
//            if(AllList.size() == 100){
//                break;
//            }
//        }
//
//        String url = "http://localhost:9026/agile/kcsw/getDateByHouseIds";
//        Map<String, Object> dataMap = new HashMap<String, Object>();
//        dataMap.put("houseIds",houseIds.substring(0,houseIds.length()-1));
//        String strResult = HTTPUtils.doPost(url,dataMap);
//        JSONArray json = JSONArray.parseArray(strResult);
//        if(ParameterUtil.isnotnull(json) && json.size() != 0){
//            for (int i = 0; i < AllList.size(); i++) {
//                for (int j = 0; j < json.size(); j++) {
//                    JSONObject job = json.getJSONObject(j);
//                    if(ParameterUtil.isequal(AllList.get(i).get("storehouseId").toString(),job.get("ch").toString())){
//                        AllList.get(i).put("lspz",Integer.parseInt(job.get("pz").toString()));
//                    }
//                }
//            }
//        }
//        return AllList;
        return businessAgentTemperatureMapper.getDataByExample(map);
    }

    @Override
    public void add(BusinessAgentTemperature agent) {
        businessAgentTemperatureMapper.insert(agent);
    }

    @Override
    public void update(BusinessAgentTemperature camera) {
        businessAgentTemperatureMapper.updateByPrimaryKey(camera);
    }

    @Override
    public void updateDeleteById(Integer agentId) {
        businessAgentTemperatureMapper.deleteByPrimaryKey(agentId);
    }

    @Override
    public BusinessAgentTemperature findById(Integer id) {
        return businessAgentTemperatureMapper.selectByPrimaryKey(id);
    }

    @Override
    public ArrayList<Object> findTemperById(String temperId, String sign) {
        // 区分手添和设备检测数据
        String s = null;
        if ("0".equals(sign)) { // 智能仓房设备检测数据
            s = businessAgentTemperatureMapper.getTestDataById(temperId); //查询智能仓房设备检测数据
        } else {
            BusinessAgentTemperature byId = businessAgentTemperatureMapper.getById(temperId).get(0);
            s = byId.gettPoints();
        }
        ArrayList<Object> tP = ParameterUtil.jsonToObjects(s, TPoints.class);
        ArrayList<TPoints> tPoints = Lists.newArrayList();
        tP.forEach(t -> {
            tPoints.add((TPoints)t);
        });
        ArrayList<Object> objects = Lists.newArrayList();
        HashMap<Object, Object> layerDataMap = Maps.newLinkedHashMap();//记录每层最高温，最低温和平均温度
        if (tPoints.size() > 0) {
            float rowNumbers = 0;//记录层数
//            Map<Integer, Map<Integer, Map<Integer, List<TPoints>>>> collect1 = tPoints.stream().collect(Collectors.groupingBy(t -> Integer.parseInt(t.getZ()), Collectors.groupingBy(t -> Integer.parseInt(t.getY()), Collectors.groupingBy(t -> Integer.parseInt(t.getX())))));
            Map<Integer, Map<Integer, Map<Integer, List<TPoints>>>> collect1 = tPoints.stream().collect(Collectors.groupingBy(t -> Integer.parseInt(t.getY()), Collectors.groupingBy(t -> Integer.parseInt(t.getZ()), Collectors.groupingBy(t -> Integer.parseInt(t.getX())))));
            for (Map.Entry<Integer, Map<Integer, Map<Integer, List<TPoints>>>> entryG : collect1.entrySet()) {
                float layerMax = 0,layerMin = 99,layerAvg = 0,numbers = 0;
                rowNumbers++;
                //每层数据
                Map<Integer, Map<Integer, List<TPoints>>> layerGroupV = entryG.getValue();
                for (Map.Entry<Integer, Map<Integer, List<TPoints>>> rows : layerGroupV.entrySet()) {
                    HashMap<Object, Object> objectObjectHashMap = Maps.newLinkedHashMap();

                    //每一行数据
                    Map<Integer, List<TPoints>> value = rows.getValue();
                    int a = 1;
                    objectObjectHashMap.put(a,entryG.getKey() + "-" + rows.getKey());
                    for (Map.Entry<Integer, List<TPoints>> orws : value.entrySet()) {
                        //列数据
                        List<TPoints> column = orws.getValue();
                        TPoints t = column.get(0);
                        objectObjectHashMap.put(++a,t.getTemp());

                        if(!ParameterUtil.isequal(250.0f,t.getTemp().floatValue())){//不是设备异常才记录
                            if(t.getTemp().floatValue() > layerMax)layerMax = t.getTemp().floatValue();//获取层最高温度
                            if(t.getTemp().floatValue() < layerMin)layerMin = t.getTemp().floatValue();//获取层最低温度
                            layerAvg += t.getTemp().floatValue();//获取层平均温度
                            numbers++;
                        }
                    }
                    objects.add(objectObjectHashMap);
                }
                layerDataMap.put(entryG.getKey(),String.format("%.1f",layerAvg/numbers)+","+layerMax+","+layerMin);
            }
            layerDataMap.put("rowNumbers",rowNumbers);
        }
        objects.add(layerDataMap);
        return objects;
    }

    @Override
    public String importData(List<List<String>> list, Integer orgId, Map<String, Object> agentMap) {
        String msg = "";

        BusinessAgentTemperature agentTemper = new BusinessAgentTemperature();;
        Map<String,Object> enumData = new HashMap<>();

        Map<String, Object> agentsMap = BusinessAgentMapper.getNameId(agentMap);;
        if(ParameterUtil.isnull(agentsMap) || ParameterUtil.isnull(agentsMap.get("agentId"))){
            msg = "代储点信息查询不到，请确认后再导入！";
            return msg;
        }
        agentTemper.setAgentId(Integer.parseInt(agentsMap.get("agentId").toString()));
        if(ParameterUtil.isnull(agentsMap.get("depotId"))){
            msg = "代储库信息查询不到，请确认后再导入！";
            return msg;
        }
        agentTemper.setAgentDepotId(Integer.parseInt(agentsMap.get("depotId").toString()));
        agentTemper.setWeather(agentMap.get("weather").toString());

        //仓房名称
        enumData.put("storehouseName", agentMap.get("storehouseName"));
        enumData.put("depotId", agentsMap.get("depotId"));
        Map<String,Object> storehouseId = BusinessAgentMapper.getStorehouseId(enumData);
        if(ParameterUtil.isnull(storehouseId)){
            msg = "仓房信息查询不到，请确认后再导入！";
            return msg;
        }
        agentTemper.setStorehouseId(Integer.parseInt(storehouseId.get("storehouseId").toString()));

        agentTemper.setActualAmount(agentMap.get("actualAmount").toString());

        //粮油品种
        enumData.put("enumName", agentMap.get("lspz"));
        enumData.put("parentId", "1061");
        Map<String,Object> enumId = BusinessAgentMapper.getEnumId(enumData);
        if(ParameterUtil.isnull(enumId.get("enumId"))){
            msg = "粮油品种信息查询不到，请确认后再导入！";
            return msg;
        }
        agentTemper.setLspz(Integer.parseInt(enumId.get("enumId").toString()));

        //收获年度
        enumData.put("enumName", agentMap.get("harvestYear").toString().substring(0,4));
        enumData.put("parentId", "1004");
        Map<String,Object> yearId = BusinessAgentMapper.getEnumId(enumData);
        if(ParameterUtil.isnull(yearId.get("enumId"))){
            msg = "收获年度信息查询不到，请确认后再导入！";
            return msg;
        }
        agentTemper.setHarvestYear(Integer.parseInt(yearId.get("enumId").toString()));

        agentTemper.setEnterTime(ParameterUtil.string2date(agentMap.get("enterTime").toString()));

        //等级
        enumData.put("enumName", agentMap.get("level"));
        enumData.put("parentId", "1002");
        Map<String,Object> levelId = BusinessAgentMapper.getEnumId(enumData);
        if(ParameterUtil.isnull(levelId.get("enumId"))){
            msg = "等级信息查询不到，请确认后再导入！";
            return msg;
        }
        agentTemper.setLevel(Integer.parseInt(levelId.get("enumId").toString()));

        //粮油性质
        if(ParameterUtil.isequal(agentMap.get("nature").toString(),"其他粮")){
            agentTemper.setNature("3103");
        }else{
            enumData.put("enumName", agentMap.get("nature").toString());
            enumData.put("parentId", "1032");
            Map<String,Object> natureId = BusinessAgentMapper.getEnumChildId(enumData);
            if(ParameterUtil.isnull(natureId.get("enumId"))){
                msg = "粮油性质信息查询不到，请确认后再导入！";
                return msg;
            }
            agentTemper.setNature(natureId.get("enumId").toString());
        }

        agentTemper.setKeeper(agentMap.get("keeper").toString());
        agentTemper.setHouseTemperature(new BigDecimal(agentMap.get("houseTemperature").toString()));
        agentTemper.setHouseHumidity(new BigDecimal(agentMap.get("houseHumidity").toString()));
        agentTemper.setGasTemperature(new BigDecimal(agentMap.get("gasTemperature").toString()));
        agentTemper.setGasHumidity(new BigDecimal(agentMap.get("gasHumidity").toString()));
        agentTemper.setDetectionTime(ParameterUtil.string2date(agentMap.get("detectionTime").toString()));
        agentTemper.setMax(new BigDecimal(agentMap.get("max").toString()));
        agentTemper.setMin(new BigDecimal(agentMap.get("min").toString()));
        agentTemper.setAvg(new BigDecimal(agentMap.get("avg").toString()));
        agentTemper.setOrgId(orgId);

        Map<String,Object> pointMap = new HashMap<>();//一行温度数据
        List<String> pointList = new ArrayList<String>();//温度集合数据

        for (int i = 0; i < list.size(); i++) {
            List<String> revList = list.get(i);
            for (int j = 0; j < revList.size(); j++) {
                switch(j) {
                    case 0:
                        //测温线缆列号(X)
                        pointMap = new HashMap<>();
                        pointMap.put("x",revList.get(j));
                        break;
                    case 1:
                        //测温线缆行号(Y)
                        pointMap.put("y",revList.get(j));
                        break;
                    case 2:
                        //测温点高度(Z)
                        pointMap.put("z",revList.get(j));
                        break;
                    case 3:
                        //温度值
                        pointMap.put("temp",revList.get(j));
                        break;
                    default :
                        break;
                }
            }
            pointList.add(JSONObject.toJSONString(pointMap));
        }

        agentTemper.settPoints(pointList.toString().replace(" ",""));
        businessAgentTemperatureMapper.insert(agentTemper);

        return msg;
    }

    /**
     * 根据登录人机构id查找代储库单位下的所有仓房信息
     *
     * @param orgId 单位ID
     * @return map
     */
    @Override
    public Map<String, Object> getAgentStoreInfoMap(Integer orgId) {
        List<Map<String, Object>> listMap = businessAgentTemperatureMapper.getAgentStoreInfoMap(orgId);
        Map<String, Object> objMap = new HashMap<>();
        listMap.forEach(map -> {
            String keys = "";
            for (String key : map.keySet()) {
                if (key.equals("storehouse_code")) {
                    keys = map.get(key).toString();
                }
            }
            objMap.put(keys, map);
        });
        Map<String, Object> reMap = new HashMap<>();
        reMap.put("agentStoreCode", objMap);
        return reMap;
    }

    @Override
    public List<Map<String, Object>> getDataByExample(Map<String, Object> map) {
        return businessAgentTemperatureMapper.getDataByExample(map);
    }
}
