package com.chinaitop.depot.agent.bgz.mapper;

import com.chinaitop.depot.agent.bgz.model.BusinessAgentBgmxz;
import com.chinaitop.depot.agent.bgz.model.BusinessAgentBgmxzExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface BusinessAgentBgmxzMapper {
    int countByExample(BusinessAgentBgmxzExample example);

    int deleteByExample(BusinessAgentBgmxzExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessAgentBgmxz record);

    int insertSelective(BusinessAgentBgmxz record);

    List<BusinessAgentBgmxz> selectByExample(BusinessAgentBgmxzExample example);

    BusinessAgentBgmxz selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessAgentBgmxz record, @Param("example") BusinessAgentBgmxzExample example);

    int updateByExample(@Param("record") BusinessAgentBgmxz record, @Param("example") BusinessAgentBgmxzExample example);

    int updateByPrimaryKeySelective(BusinessAgentBgmxz record);

    int updateByPrimaryKey(BusinessAgentBgmxz record);

    /**
     * 查询分仓保管账列表
     * 
     * @param map 条件
     * @return
     */
    List<Map<String, Object>> selectFcbgzList(Map<String, Object> map);

    /**
     * 查询保管明细账数据
     * 
     * @param param_map
     * @return
     */
    List<BusinessAgentBgmxz> selectByExampleNew(Map<String, Object> param_map);

    /**
     * 查询代储库正常使用的货位数据信息
     * 
     * @param paramMap 条件
     * @return
     */
    List<Map<String, Object>> selectAgentHouseWareList(Map<String, Object> paramMap);
}