package com.chinaitop.depot.agent.quality.mapper;

import com.chinaitop.depot.agent.quality.model.BusinessAgentQuality;
import com.chinaitop.depot.agent.quality.model.BusinessAgentQualityExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface BusinessAgentQualityMapper {
    int countByExample(BusinessAgentQualityExample example);

    int deleteByExample(BusinessAgentQualityExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BusinessAgentQuality record);

    int insertSelective(BusinessAgentQuality record);

    List<BusinessAgentQuality> selectByExample(BusinessAgentQualityExample example);

    BusinessAgentQuality selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BusinessAgentQuality record, @Param("example") BusinessAgentQualityExample example);

    int updateByExample(@Param("record") BusinessAgentQuality record, @Param("example") BusinessAgentQualityExample example);

    int updateByPrimaryKeySelective(BusinessAgentQuality record);

    int updateByPrimaryKey(BusinessAgentQuality record);

    /**
     * @param qualitycheck
     * @return
     */
    List<BusinessAgentQuality> getHouseIdList(BusinessAgentQuality qualitycheck);

    /**
     * @param qualitycheck
     * @return
     */
    List<BusinessAgentQuality> getWareHouseIdList(
            BusinessAgentQuality qualitycheck);
    List<BusinessAgentQuality> getThirdCheckList(BusinessAgentQuality qualitycheck);
    List<BusinessAgentQuality> getQualitycheckListByFoodbasicinfoCheck(BusinessAgentQuality qualitycheck);
    BusinessAgentQuality queryPrimaryKey(Integer id);
    List<BusinessAgentQuality> queryByExample(BusinessAgentQuality example);
    List<Map<String,Object>> getStoreQualityList();

    List<BusinessAgentQuality> getTrdStoreQualityList();
    List<BusinessAgentQuality> getDataByZJId(Map<String, Object> paramMap);

    List<BusinessAgentQuality> queryByExampleData(BusinessAgentQuality example);

    List<BusinessAgentQuality> queryByQualitycheckusiness(BusinessAgentQuality qualityCheckExample);
}