package com.chinaitop.depot.agent.quality.model;

import java.math.BigDecimal;
import java.util.Date;

public class BusinessAgentQuality {
    //开始日期和结束日期
    private String searchStartDate;

    public String getSearchStartDate() {
        return searchStartDate;
    }

    public void setSearchStartDate(String searchStartDate) {
        this.searchStartDate = searchStartDate;
    }

    public String getSearchEndDate() {
        return searchEndDate;
    }

    public void setSearchEndDate(String searchEndDate) {
        this.searchEndDate = searchEndDate;
    }

    private String searchEndDate;
    private Integer id;

    private Integer agentId;

    private Integer agentDepotId;

    private Integer storehouseId;

    private Integer warehouseId;

    private String type;

    private Integer subType;

    private Integer subTypeDetailed;

    private Date checkTime;

    private String checkResult;
    private String checker;

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    private Integer level;

    private String capacity;

    private String water;

    private String impurity;

    private String mineral;

    private String badpart;

    private String colorsmell;

    private String keeperAdvices;

    private String keeperAdvicesTime;

    private String keeperAdvicesPaint;

    private String chiefAdvices;

    private Date chiefAdvicesTime;

    private String chietAdvicesPaint;

    private String viceManagerAdvices;

    private Date viceManagerAdvicesTime;

    private String viceManagerAdvicesPaint;

    private String managerAdvices;

    private Date managerAdvicesTime;

    private String managerAdvicesPaint;

    private String improveResult;

    private Date improveTime;

    private String improvePaint;

    private String isFirstchecklevelRight;

    private String acceptUnite;

    private Date inputTime;

    private String number;

    private String location;

    private String keeper;

    private Integer harvestTime;

    private String goodpart;

    private String chooser;

    private Date chooseTime;

    private String boldfatIndex;

    private String checkType;

    private String hotDamage;

    private String proteinSolutionRatio;

    private String eatScore;

    private String fatIndex;

    private String huskedRation;

    private String fullGoodRation;

    private String yellowPart;

    private String outHuskedRation;

    private String pests;

    private String colorRatio;

    private String hardIndex;

    private String glutenWaterCount;

    private String remarks;

    private String approver;

    private String mildewCount;

    private String damageRatio;

    private String hotDamageRatio;

    private String huskedRiceWeight;

    private String reviewer;

    private Date applyCheckTime;

    private String checkTimeType;

    private Date checkResultTime;

    private String storeQuality;

    private String isPest;

    private String inspectionStandardBasis;

    private String quality;

    private Date sealDate;

    private String sealStatus;

    private String authCode;

    private Integer orgId;

    private Integer historyStatus;

    private String intermixingRate;

    private String smelltaste;

    private String transparency;

    private String peroxideValue;

    private String smokePoint;

    private String reezeTest;

    private String residualSolvent;

    private String lead;

    private String totalArsenic;

    private String aflatoxin;

    private String butylPhenol;

    private Date updatetime;

    /*2021.08新增字段  开始*/
    private String zblb;
    private String qydbh;
    private Date qysj;
    private String qyqy;
    private String jdrxm;
    private String ypbh;
    private String sfzcccnx;
    private String jylb;//01.入仓验收;02.出仓检验;03.3 月末普检;04.9 月末普检;05.入仓初检;06.月度检查;07.3 月末库内普查;08.9 月末库内普查)
    private Date   qfrq;//签发日期
    private String ypsl;//样品数量
    private String dbsl;//代表数量
    private String ypdj;//样品等级

    public String getZblb() {
        return zblb;
    }

    public void setZblb(String zblb) {
        this.zblb = zblb;
    }

    public String getQydbh() {
        return qydbh;
    }

    public void setQydbh(String qydbh) {
        this.qydbh = qydbh;
    }

    public Date getQysj() {
        return qysj;
    }

    public void setQysj(Date qysj) {
        this.qysj = qysj;
    }

    public String getQyqy() {
        return qyqy;
    }

    public void setQyqy(String qyqy) {
        this.qyqy = qyqy;
    }

    public String getJdrxm() {
        return jdrxm;
    }

    public void setJdrxm(String jdrxm) {
        this.jdrxm = jdrxm;
    }

    public String getYpbh() {
        return ypbh;
    }

    public void setYpbh(String ypbh) {
        this.ypbh = ypbh;
    }

    public String getSfzcccnx() {
        return sfzcccnx;
    }

    public void setSfzcccnx(String sfzcccnx) {
        this.sfzcccnx = sfzcccnx;
    }

    public String getJylb() {
        return jylb;
    }

    public void setJylb(String jylb) {
        this.jylb = jylb;
    }

    public Date getQfrq() {
        return qfrq;
    }

    public void setQfrq(Date qfrq) {
        this.qfrq = qfrq;
    }

    public String getYpsl() {
        return ypsl;
    }

    public void setYpsl(String ypsl) {
        this.ypsl = ypsl;
    }

    public String getDbsl() {
        return dbsl;
    }

    public void setDbsl(String dbsl) {
        this.dbsl = dbsl;
    }

    public String getYpdj() {
        return ypdj;
    }

    public void setYpdj(String ypdj) {
        this.ypdj = ypdj;
    }


    /*2021.08新增字段  结束*/


    private String storehouseName;

    private String warehouseName;

    private String agentName;
    private String agentDepotName;

    private String storehouseCode;
    private String warehouseCode;
    private Integer acceptanceId;
    private String orgName;

    private Integer foodbasicinfoId;

    //封仓业务字段
    private String disperseCapacity;
    private BigDecimal height;
    private String keepMethod;
    private String price;
    private String depotName;
    private Integer notice;

    //判断是第三方还是本系统的质量数据
    private String stateType;

    public String getStateType() {
        return stateType;
    }

    public void setStateType(String stateType) {
        this.stateType = stateType;
    }

    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getAgentDepotName() {
        return agentDepotName;
    }

    public void setAgentDepotName(String agentDepotName) {
        this.agentDepotName = agentDepotName;
    }

    public String getStorehouseCode() {
        return storehouseCode;
    }

    public void setStorehouseCode(String storehouseCode) {
        this.storehouseCode = storehouseCode;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public Integer getAcceptanceId() {
        return acceptanceId;
    }

    public void setAcceptanceId(Integer acceptanceId) {
        this.acceptanceId = acceptanceId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Integer getFoodbasicinfoId() {
        return foodbasicinfoId;
    }

    public void setFoodbasicinfoId(Integer foodbasicinfoId) {
        this.foodbasicinfoId = foodbasicinfoId;
    }

    public String getDisperseCapacity() {
        return disperseCapacity;
    }

    public void setDisperseCapacity(String disperseCapacity) {
        this.disperseCapacity = disperseCapacity;
    }

    public BigDecimal getHeight() {
        return height;
    }

    public void setHeight(BigDecimal height) {
        this.height = height;
    }

    public String getKeepMethod() {
        return keepMethod;
    }

    public void setKeepMethod(String keepMethod) {
        this.keepMethod = keepMethod;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getDepotName() {
        return depotName;
    }

    public void setDepotName(String depotName) {
        this.depotName = depotName;
    }

    public Integer getNotice() {
        return notice;
    }

    public void setNotice(Integer notice) {
        this.notice = notice;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getAgentId() {
        return agentId;
    }

    public void setAgentId(Integer agentId) {
        this.agentId = agentId;
    }

    public Integer getAgentDepotId() {
        return agentDepotId;
    }

    public void setAgentDepotId(Integer agentDepotId) {
        this.agentDepotId = agentDepotId;
    }

    public Integer getStorehouseId() {
        return storehouseId;
    }

    public void setStorehouseId(Integer storehouseId) {
        this.storehouseId = storehouseId;
    }

    public Integer getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public Integer getSubType() {
        return subType;
    }

    public void setSubType(Integer subType) {
        this.subType = subType;
    }

    public Integer getSubTypeDetailed() {
        return subTypeDetailed;
    }

    public void setSubTypeDetailed(Integer subTypeDetailed) {
        this.subTypeDetailed = subTypeDetailed;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public String getCheckResult() {
        return checkResult;
    }

    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult == null ? null : checkResult.trim();
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getCapacity() {
        return capacity;
    }

    public void setCapacity(String capacity) {
        this.capacity = capacity == null ? null : capacity.trim();
    }

    public String getWater() {
        return water;
    }

    public void setWater(String water) {
        this.water = water == null ? null : water.trim();
    }

    public String getImpurity() {
        return impurity;
    }

    public void setImpurity(String impurity) {
        this.impurity = impurity == null ? null : impurity.trim();
    }

    public String getMineral() {
        return mineral;
    }

    public void setMineral(String mineral) {
        this.mineral = mineral == null ? null : mineral.trim();
    }

    public String getBadpart() {
        return badpart;
    }

    public void setBadpart(String badpart) {
        this.badpart = badpart == null ? null : badpart.trim();
    }

    public String getColorsmell() {
        return colorsmell;
    }

    public void setColorsmell(String colorsmell) {
        this.colorsmell = colorsmell == null ? null : colorsmell.trim();
    }

    public String getKeeperAdvices() {
        return keeperAdvices;
    }

    public void setKeeperAdvices(String keeperAdvices) {
        this.keeperAdvices = keeperAdvices == null ? null : keeperAdvices.trim();
    }

    public String getKeeperAdvicesTime() {
        return keeperAdvicesTime;
    }

    public void setKeeperAdvicesTime(String keeperAdvicesTime) {
        this.keeperAdvicesTime = keeperAdvicesTime == null ? null : keeperAdvicesTime.trim();
    }

    public String getKeeperAdvicesPaint() {
        return keeperAdvicesPaint;
    }

    public void setKeeperAdvicesPaint(String keeperAdvicesPaint) {
        this.keeperAdvicesPaint = keeperAdvicesPaint == null ? null : keeperAdvicesPaint.trim();
    }

    public String getChiefAdvices() {
        return chiefAdvices;
    }

    public void setChiefAdvices(String chiefAdvices) {
        this.chiefAdvices = chiefAdvices == null ? null : chiefAdvices.trim();
    }

    public Date getChiefAdvicesTime() {
        return chiefAdvicesTime;
    }

    public void setChiefAdvicesTime(Date chiefAdvicesTime) {
        this.chiefAdvicesTime = chiefAdvicesTime;
    }

    public String getChietAdvicesPaint() {
        return chietAdvicesPaint;
    }

    public void setChietAdvicesPaint(String chietAdvicesPaint) {
        this.chietAdvicesPaint = chietAdvicesPaint == null ? null : chietAdvicesPaint.trim();
    }

    public String getViceManagerAdvices() {
        return viceManagerAdvices;
    }

    public void setViceManagerAdvices(String viceManagerAdvices) {
        this.viceManagerAdvices = viceManagerAdvices == null ? null : viceManagerAdvices.trim();
    }

    public Date getViceManagerAdvicesTime() {
        return viceManagerAdvicesTime;
    }

    public void setViceManagerAdvicesTime(Date viceManagerAdvicesTime) {
        this.viceManagerAdvicesTime = viceManagerAdvicesTime;
    }

    public String getViceManagerAdvicesPaint() {
        return viceManagerAdvicesPaint;
    }

    public void setViceManagerAdvicesPaint(String viceManagerAdvicesPaint) {
        this.viceManagerAdvicesPaint = viceManagerAdvicesPaint == null ? null : viceManagerAdvicesPaint.trim();
    }

    public String getManagerAdvices() {
        return managerAdvices;
    }

    public void setManagerAdvices(String managerAdvices) {
        this.managerAdvices = managerAdvices == null ? null : managerAdvices.trim();
    }

    public Date getManagerAdvicesTime() {
        return managerAdvicesTime;
    }

    public void setManagerAdvicesTime(Date managerAdvicesTime) {
        this.managerAdvicesTime = managerAdvicesTime;
    }

    public String getManagerAdvicesPaint() {
        return managerAdvicesPaint;
    }

    public void setManagerAdvicesPaint(String managerAdvicesPaint) {
        this.managerAdvicesPaint = managerAdvicesPaint == null ? null : managerAdvicesPaint.trim();
    }

    public String getImproveResult() {
        return improveResult;
    }

    public void setImproveResult(String improveResult) {
        this.improveResult = improveResult == null ? null : improveResult.trim();
    }

    public Date getImproveTime() {
        return improveTime;
    }

    public void setImproveTime(Date improveTime) {
        this.improveTime = improveTime;
    }

    public String getImprovePaint() {
        return improvePaint;
    }

    public void setImprovePaint(String improvePaint) {
        this.improvePaint = improvePaint == null ? null : improvePaint.trim();
    }

    public String getIsFirstchecklevelRight() {
        return isFirstchecklevelRight;
    }

    public void setIsFirstchecklevelRight(String isFirstchecklevelRight) {
        this.isFirstchecklevelRight = isFirstchecklevelRight == null ? null : isFirstchecklevelRight.trim();
    }

    public String getAcceptUnite() {
        return acceptUnite;
    }

    public void setAcceptUnite(String acceptUnite) {
        this.acceptUnite = acceptUnite == null ? null : acceptUnite.trim();
    }

    public Date getInputTime() {
        return inputTime;
    }

    public void setInputTime(Date inputTime) {
        this.inputTime = inputTime;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number == null ? null : number.trim();
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getKeeper() {
        return keeper;
    }

    public void setKeeper(String keeper) {
        this.keeper = keeper == null ? null : keeper.trim();
    }

    public Integer getHarvestTime() {
        return harvestTime;
    }

    public void setHarvestTime(Integer harvestTime) {
        this.harvestTime = harvestTime;
    }

    public String getGoodpart() {
        return goodpart;
    }

    public void setGoodpart(String goodpart) {
        this.goodpart = goodpart == null ? null : goodpart.trim();
    }

    public String getChooser() {
        return chooser;
    }

    public void setChooser(String chooser) {
        this.chooser = chooser == null ? null : chooser.trim();
    }

    public Date getChooseTime() {
        return chooseTime;
    }

    public void setChooseTime(Date chooseTime) {
        this.chooseTime = chooseTime;
    }

    public String getBoldfatIndex() {
        return boldfatIndex;
    }

    public void setBoldfatIndex(String boldfatIndex) {
        this.boldfatIndex = boldfatIndex == null ? null : boldfatIndex.trim();
    }

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType == null ? null : checkType.trim();
    }

    public String getHotDamage() {
        return hotDamage;
    }

    public void setHotDamage(String hotDamage) {
        this.hotDamage = hotDamage == null ? null : hotDamage.trim();
    }

    public String getProteinSolutionRatio() {
        return proteinSolutionRatio;
    }

    public void setProteinSolutionRatio(String proteinSolutionRatio) {
        this.proteinSolutionRatio = proteinSolutionRatio == null ? null : proteinSolutionRatio.trim();
    }

    public String getEatScore() {
        return eatScore;
    }

    public void setEatScore(String eatScore) {
        this.eatScore = eatScore == null ? null : eatScore.trim();
    }

    public String getFatIndex() {
        return fatIndex;
    }

    public void setFatIndex(String fatIndex) {
        this.fatIndex = fatIndex == null ? null : fatIndex.trim();
    }

    public String getHuskedRation() {
        return huskedRation;
    }

    public void setHuskedRation(String huskedRation) {
        this.huskedRation = huskedRation == null ? null : huskedRation.trim();
    }

    public String getFullGoodRation() {
        return fullGoodRation;
    }

    public void setFullGoodRation(String fullGoodRation) {
        this.fullGoodRation = fullGoodRation == null ? null : fullGoodRation.trim();
    }

    public String getYellowPart() {
        return yellowPart;
    }

    public void setYellowPart(String yellowPart) {
        this.yellowPart = yellowPart == null ? null : yellowPart.trim();
    }

    public String getOutHuskedRation() {
        return outHuskedRation;
    }

    public void setOutHuskedRation(String outHuskedRation) {
        this.outHuskedRation = outHuskedRation == null ? null : outHuskedRation.trim();
    }

    public String getPests() {
        return pests;
    }

    public void setPests(String pests) {
        this.pests = pests == null ? null : pests.trim();
    }

    public String getColorRatio() {
        return colorRatio;
    }

    public void setColorRatio(String colorRatio) {
        this.colorRatio = colorRatio == null ? null : colorRatio.trim();
    }

    public String getHardIndex() {
        return hardIndex;
    }

    public void setHardIndex(String hardIndex) {
        this.hardIndex = hardIndex == null ? null : hardIndex.trim();
    }

    public String getGlutenWaterCount() {
        return glutenWaterCount;
    }

    public void setGlutenWaterCount(String glutenWaterCount) {
        this.glutenWaterCount = glutenWaterCount == null ? null : glutenWaterCount.trim();
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    public String getApprover() {
        return approver;
    }

    public void setApprover(String approver) {
        this.approver = approver == null ? null : approver.trim();
    }

    public String getMildewCount() {
        return mildewCount;
    }

    public void setMildewCount(String mildewCount) {
        this.mildewCount = mildewCount == null ? null : mildewCount.trim();
    }

    public String getDamageRatio() {
        return damageRatio;
    }

    public void setDamageRatio(String damageRatio) {
        this.damageRatio = damageRatio == null ? null : damageRatio.trim();
    }

    public String getHotDamageRatio() {
        return hotDamageRatio;
    }

    public void setHotDamageRatio(String hotDamageRatio) {
        this.hotDamageRatio = hotDamageRatio == null ? null : hotDamageRatio.trim();
    }

    public String getHuskedRiceWeight() {
        return huskedRiceWeight;
    }

    public void setHuskedRiceWeight(String huskedRiceWeight) {
        this.huskedRiceWeight = huskedRiceWeight == null ? null : huskedRiceWeight.trim();
    }

    public String getReviewer() {
        return reviewer;
    }

    public void setReviewer(String reviewer) {
        this.reviewer = reviewer == null ? null : reviewer.trim();
    }

    public Date getApplyCheckTime() {
        return applyCheckTime;
    }

    public void setApplyCheckTime(Date applyCheckTime) {
        this.applyCheckTime = applyCheckTime;
    }

    public String getCheckTimeType() {
        return checkTimeType;
    }

    public void setCheckTimeType(String checkTimeType) {
        this.checkTimeType = checkTimeType == null ? null : checkTimeType.trim();
    }

    public Date getCheckResultTime() {
        return checkResultTime;
    }

    public void setCheckResultTime(Date checkResultTime) {
        this.checkResultTime = checkResultTime;
    }

    public String getStoreQuality() {
        return storeQuality;
    }

    public void setStoreQuality(String storeQuality) {
        this.storeQuality = storeQuality == null ? null : storeQuality.trim();
    }

    public String getIsPest() {
        return isPest;
    }

    public void setIsPest(String isPest) {
        this.isPest = isPest == null ? null : isPest.trim();
    }

    public String getInspectionStandardBasis() {
        return inspectionStandardBasis;
    }

    public void setInspectionStandardBasis(String inspectionStandardBasis) {
        this.inspectionStandardBasis = inspectionStandardBasis == null ? null : inspectionStandardBasis.trim();
    }

    public String getQuality() {
        return quality;
    }

    public void setQuality(String quality) {
        this.quality = quality == null ? null : quality.trim();
    }

    public Date getSealDate() {
        return sealDate;
    }

    public void setSealDate(Date sealDate) {
        this.sealDate = sealDate;
    }

    public String getSealStatus() {
        return sealStatus;
    }

    public void setSealStatus(String sealStatus) {
        this.sealStatus = sealStatus == null ? null : sealStatus.trim();
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode == null ? null : authCode.trim();
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public Integer getHistoryStatus() {
        return historyStatus;
    }

    public void setHistoryStatus(Integer historyStatus) {
        this.historyStatus = historyStatus;
    }

    public String getIntermixingRate() {
        return intermixingRate;
    }

    public void setIntermixingRate(String intermixingRate) {
        this.intermixingRate = intermixingRate == null ? null : intermixingRate.trim();
    }

    public String getSmelltaste() {
        return smelltaste;
    }

    public void setSmelltaste(String smelltaste) {
        this.smelltaste = smelltaste == null ? null : smelltaste.trim();
    }

    public String getTransparency() {
        return transparency;
    }

    public void setTransparency(String transparency) {
        this.transparency = transparency == null ? null : transparency.trim();
    }

    public String getPeroxideValue() {
        return peroxideValue;
    }

    public void setPeroxideValue(String peroxideValue) {
        this.peroxideValue = peroxideValue == null ? null : peroxideValue.trim();
    }

    public String getSmokePoint() {
        return smokePoint;
    }

    public void setSmokePoint(String smokePoint) {
        this.smokePoint = smokePoint == null ? null : smokePoint.trim();
    }

    public String getReezeTest() {
        return reezeTest;
    }

    public void setReezeTest(String reezeTest) {
        this.reezeTest = reezeTest == null ? null : reezeTest.trim();
    }

    public String getResidualSolvent() {
        return residualSolvent;
    }

    public void setResidualSolvent(String residualSolvent) {
        this.residualSolvent = residualSolvent == null ? null : residualSolvent.trim();
    }

    public String getLead() {
        return lead;
    }

    public void setLead(String lead) {
        this.lead = lead == null ? null : lead.trim();
    }

    public String getTotalArsenic() {
        return totalArsenic;
    }

    public void setTotalArsenic(String totalArsenic) {
        this.totalArsenic = totalArsenic == null ? null : totalArsenic.trim();
    }

    public String getAflatoxin() {
        return aflatoxin;
    }

    public void setAflatoxin(String aflatoxin) {
        this.aflatoxin = aflatoxin == null ? null : aflatoxin.trim();
    }

    public String getButylPhenol() {
        return butylPhenol;
    }

    public void setButylPhenol(String butylPhenol) {
        this.butylPhenol = butylPhenol == null ? null : butylPhenol.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}