package com.chinaitop.depot.agent.quality.service.impl;

import com.chinaitop.depot.agent.quality.mapper.BusinessAgentQualitySonMapper;
import com.chinaitop.depot.agent.quality.model.BusinessAgentQualitySon;
import com.chinaitop.depot.agent.quality.model.BusinessAgentQualitySonExample;
import com.chinaitop.depot.agent.quality.service.AgentQualitySonService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author sunhongbing
 * @Date 2017/12/23
 */
@Service
public class AgentQualitySonServiceImpl implements AgentQualitySonService {
    @Resource
    private BusinessAgentQualitySonMapper QualitySonMapper;
    @Override
    public List<BusinessAgentQualitySon> findQualitycheckSonExample(BusinessAgentQualitySonExample storageQualitycheckSonExample) {
        return QualitySonMapper.selectByExample(storageQualitycheckSonExample);
    }

    @Override
    public void removeSon(BusinessAgentQualitySonExample storageQualitycheckSonExample) {
        QualitySonMapper.deleteByExample(storageQualitycheckSonExample);
    }

    @Override
    public List<BusinessAgentQualitySon> getQualitycheckSonByFoodbasicinfoCheck(Integer foodbasicinfoId) {
        return QualitySonMapper.getQualitycheckSonByFoodbasicinfoCheck(foodbasicinfoId);
    }
}
