package com.chinaitop.depot.agent.temperature.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class BusinessAgentTemperatureExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public BusinessAgentTemperatureExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAgentIdIsNull() {
            addCriterion("agent_id is null");
            return (Criteria) this;
        }

        public Criteria andAgentIdIsNotNull() {
            addCriterion("agent_id is not null");
            return (Criteria) this;
        }

        public Criteria andAgentIdEqualTo(Integer value) {
            addCriterion("agent_id =", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotEqualTo(Integer value) {
            addCriterion("agent_id <>", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdGreaterThan(Integer value) {
            addCriterion("agent_id >", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("agent_id >=", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdLessThan(Integer value) {
            addCriterion("agent_id <", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdLessThanOrEqualTo(Integer value) {
            addCriterion("agent_id <=", value, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdIn(List<Integer> values) {
            addCriterion("agent_id in", values, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotIn(List<Integer> values) {
            addCriterion("agent_id not in", values, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdBetween(Integer value1, Integer value2) {
            addCriterion("agent_id between", value1, value2, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentIdNotBetween(Integer value1, Integer value2) {
            addCriterion("agent_id not between", value1, value2, "agentId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdIsNull() {
            addCriterion("agent_depot_id is null");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdIsNotNull() {
            addCriterion("agent_depot_id is not null");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdEqualTo(Integer value) {
            addCriterion("agent_depot_id =", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdNotEqualTo(Integer value) {
            addCriterion("agent_depot_id <>", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdGreaterThan(Integer value) {
            addCriterion("agent_depot_id >", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("agent_depot_id >=", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdLessThan(Integer value) {
            addCriterion("agent_depot_id <", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdLessThanOrEqualTo(Integer value) {
            addCriterion("agent_depot_id <=", value, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdIn(List<Integer> values) {
            addCriterion("agent_depot_id in", values, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdNotIn(List<Integer> values) {
            addCriterion("agent_depot_id not in", values, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdBetween(Integer value1, Integer value2) {
            addCriterion("agent_depot_id between", value1, value2, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andAgentDepotIdNotBetween(Integer value1, Integer value2) {
            addCriterion("agent_depot_id not between", value1, value2, "agentDepotId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdIsNull() {
            addCriterion("storehouse_id is null");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdIsNotNull() {
            addCriterion("storehouse_id is not null");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdEqualTo(Integer value) {
            addCriterion("storehouse_id =", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdNotEqualTo(Integer value) {
            addCriterion("storehouse_id <>", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdGreaterThan(Integer value) {
            addCriterion("storehouse_id >", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("storehouse_id >=", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdLessThan(Integer value) {
            addCriterion("storehouse_id <", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdLessThanOrEqualTo(Integer value) {
            addCriterion("storehouse_id <=", value, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdIn(List<Integer> values) {
            addCriterion("storehouse_id in", values, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdNotIn(List<Integer> values) {
            addCriterion("storehouse_id not in", values, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdBetween(Integer value1, Integer value2) {
            addCriterion("storehouse_id between", value1, value2, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andStorehouseIdNotBetween(Integer value1, Integer value2) {
            addCriterion("storehouse_id not between", value1, value2, "storehouseId");
            return (Criteria) this;
        }

        public Criteria andWeatherIsNull() {
            addCriterion("weather is null");
            return (Criteria) this;
        }

        public Criteria andWeatherIsNotNull() {
            addCriterion("weather is not null");
            return (Criteria) this;
        }

        public Criteria andWeatherEqualTo(String value) {
            addCriterion("weather =", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotEqualTo(String value) {
            addCriterion("weather <>", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherGreaterThan(String value) {
            addCriterion("weather >", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherGreaterThanOrEqualTo(String value) {
            addCriterion("weather >=", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherLessThan(String value) {
            addCriterion("weather <", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherLessThanOrEqualTo(String value) {
            addCriterion("weather <=", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherLike(String value) {
            addCriterion("weather like", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotLike(String value) {
            addCriterion("weather not like", value, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherIn(List<String> values) {
            addCriterion("weather in", values, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotIn(List<String> values) {
            addCriterion("weather not in", values, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherBetween(String value1, String value2) {
            addCriterion("weather between", value1, value2, "weather");
            return (Criteria) this;
        }

        public Criteria andWeatherNotBetween(String value1, String value2) {
            addCriterion("weather not between", value1, value2, "weather");
            return (Criteria) this;
        }

        public Criteria andActualAmountIsNull() {
            addCriterion("actual_amount is null");
            return (Criteria) this;
        }

        public Criteria andActualAmountIsNotNull() {
            addCriterion("actual_amount is not null");
            return (Criteria) this;
        }

        public Criteria andActualAmountEqualTo(String value) {
            addCriterion("actual_amount =", value, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andActualAmountNotEqualTo(String value) {
            addCriterion("actual_amount <>", value, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andActualAmountGreaterThan(String value) {
            addCriterion("actual_amount >", value, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andActualAmountGreaterThanOrEqualTo(String value) {
            addCriterion("actual_amount >=", value, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andActualAmountLessThan(String value) {
            addCriterion("actual_amount <", value, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andActualAmountLessThanOrEqualTo(String value) {
            addCriterion("actual_amount <=", value, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andActualAmountLike(String value) {
            addCriterion("actual_amount like", value, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andActualAmountNotLike(String value) {
            addCriterion("actual_amount not like", value, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andActualAmountIn(List<String> values) {
            addCriterion("actual_amount in", values, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andActualAmountNotIn(List<String> values) {
            addCriterion("actual_amount not in", values, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andActualAmountBetween(String value1, String value2) {
            addCriterion("actual_amount between", value1, value2, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andActualAmountNotBetween(String value1, String value2) {
            addCriterion("actual_amount not between", value1, value2, "actualAmount");
            return (Criteria) this;
        }

        public Criteria andLspzIsNull() {
            addCriterion("lspz is null");
            return (Criteria) this;
        }

        public Criteria andLspzIsNotNull() {
            addCriterion("lspz is not null");
            return (Criteria) this;
        }

        public Criteria andLspzEqualTo(Integer value) {
            addCriterion("lspz =", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzNotEqualTo(Integer value) {
            addCriterion("lspz <>", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzGreaterThan(Integer value) {
            addCriterion("lspz >", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzGreaterThanOrEqualTo(Integer value) {
            addCriterion("lspz >=", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzLessThan(Integer value) {
            addCriterion("lspz <", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzLessThanOrEqualTo(Integer value) {
            addCriterion("lspz <=", value, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzIn(List<Integer> values) {
            addCriterion("lspz in", values, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzNotIn(List<Integer> values) {
            addCriterion("lspz not in", values, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzBetween(Integer value1, Integer value2) {
            addCriterion("lspz between", value1, value2, "lspz");
            return (Criteria) this;
        }

        public Criteria andLspzNotBetween(Integer value1, Integer value2) {
            addCriterion("lspz not between", value1, value2, "lspz");
            return (Criteria) this;
        }

        public Criteria andNatureIsNull() {
            addCriterion("nature is null");
            return (Criteria) this;
        }

        public Criteria andNatureIsNotNull() {
            addCriterion("nature is not null");
            return (Criteria) this;
        }

        public Criteria andNatureEqualTo(String value) {
            addCriterion("nature =", value, "nature");
            return (Criteria) this;
        }

        public Criteria andNatureNotEqualTo(String value) {
            addCriterion("nature <>", value, "nature");
            return (Criteria) this;
        }

        public Criteria andNatureGreaterThan(String value) {
            addCriterion("nature >", value, "nature");
            return (Criteria) this;
        }

        public Criteria andNatureGreaterThanOrEqualTo(String value) {
            addCriterion("nature >=", value, "nature");
            return (Criteria) this;
        }

        public Criteria andNatureLessThan(String value) {
            addCriterion("nature <", value, "nature");
            return (Criteria) this;
        }

        public Criteria andNatureLessThanOrEqualTo(String value) {
            addCriterion("nature <=", value, "nature");
            return (Criteria) this;
        }

        public Criteria andNatureLike(String value) {
            addCriterion("nature like", value, "nature");
            return (Criteria) this;
        }

        public Criteria andNatureNotLike(String value) {
            addCriterion("nature not like", value, "nature");
            return (Criteria) this;
        }

        public Criteria andNatureIn(List<String> values) {
            addCriterion("nature in", values, "nature");
            return (Criteria) this;
        }

        public Criteria andNatureNotIn(List<String> values) {
            addCriterion("nature not in", values, "nature");
            return (Criteria) this;
        }

        public Criteria andNatureBetween(String value1, String value2) {
            addCriterion("nature between", value1, value2, "nature");
            return (Criteria) this;
        }

        public Criteria andNatureNotBetween(String value1, String value2) {
            addCriterion("nature not between", value1, value2, "nature");
            return (Criteria) this;
        }

        public Criteria andLevelIsNull() {
            addCriterion("level is null");
            return (Criteria) this;
        }

        public Criteria andLevelIsNotNull() {
            addCriterion("level is not null");
            return (Criteria) this;
        }

        public Criteria andLevelEqualTo(Integer value) {
            addCriterion("level =", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelNotEqualTo(Integer value) {
            addCriterion("level <>", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelGreaterThan(Integer value) {
            addCriterion("level >", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelGreaterThanOrEqualTo(Integer value) {
            addCriterion("level >=", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelLessThan(Integer value) {
            addCriterion("level <", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelLessThanOrEqualTo(Integer value) {
            addCriterion("level <=", value, "level");
            return (Criteria) this;
        }

        public Criteria andLevelIn(List<Integer> values) {
            addCriterion("level in", values, "level");
            return (Criteria) this;
        }

        public Criteria andLevelNotIn(List<Integer> values) {
            addCriterion("level not in", values, "level");
            return (Criteria) this;
        }

        public Criteria andLevelBetween(Integer value1, Integer value2) {
            addCriterion("level between", value1, value2, "level");
            return (Criteria) this;
        }

        public Criteria andLevelNotBetween(Integer value1, Integer value2) {
            addCriterion("level not between", value1, value2, "level");
            return (Criteria) this;
        }

        public Criteria andHarvestYearIsNull() {
            addCriterion("harvest_year is null");
            return (Criteria) this;
        }

        public Criteria andHarvestYearIsNotNull() {
            addCriterion("harvest_year is not null");
            return (Criteria) this;
        }

        public Criteria andHarvestYearEqualTo(Integer value) {
            addCriterion("harvest_year =", value, "harvestYear");
            return (Criteria) this;
        }

        public Criteria andHarvestYearNotEqualTo(Integer value) {
            addCriterion("harvest_year <>", value, "harvestYear");
            return (Criteria) this;
        }

        public Criteria andHarvestYearGreaterThan(Integer value) {
            addCriterion("harvest_year >", value, "harvestYear");
            return (Criteria) this;
        }

        public Criteria andHarvestYearGreaterThanOrEqualTo(Integer value) {
            addCriterion("harvest_year >=", value, "harvestYear");
            return (Criteria) this;
        }

        public Criteria andHarvestYearLessThan(Integer value) {
            addCriterion("harvest_year <", value, "harvestYear");
            return (Criteria) this;
        }

        public Criteria andHarvestYearLessThanOrEqualTo(Integer value) {
            addCriterion("harvest_year <=", value, "harvestYear");
            return (Criteria) this;
        }

        public Criteria andHarvestYearIn(List<Integer> values) {
            addCriterion("harvest_year in", values, "harvestYear");
            return (Criteria) this;
        }

        public Criteria andHarvestYearNotIn(List<Integer> values) {
            addCriterion("harvest_year not in", values, "harvestYear");
            return (Criteria) this;
        }

        public Criteria andHarvestYearBetween(Integer value1, Integer value2) {
            addCriterion("harvest_year between", value1, value2, "harvestYear");
            return (Criteria) this;
        }

        public Criteria andHarvestYearNotBetween(Integer value1, Integer value2) {
            addCriterion("harvest_year not between", value1, value2, "harvestYear");
            return (Criteria) this;
        }

        public Criteria andEnterTimeIsNull() {
            addCriterion("enter_time is null");
            return (Criteria) this;
        }

        public Criteria andEnterTimeIsNotNull() {
            addCriterion("enter_time is not null");
            return (Criteria) this;
        }

        public Criteria andEnterTimeEqualTo(Date value) {
            addCriterion("enter_time =", value, "enterTime");
            return (Criteria) this;
        }

        public Criteria andEnterTimeNotEqualTo(Date value) {
            addCriterion("enter_time <>", value, "enterTime");
            return (Criteria) this;
        }

        public Criteria andEnterTimeGreaterThan(Date value) {
            addCriterion("enter_time >", value, "enterTime");
            return (Criteria) this;
        }

        public Criteria andEnterTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("enter_time >=", value, "enterTime");
            return (Criteria) this;
        }

        public Criteria andEnterTimeLessThan(Date value) {
            addCriterion("enter_time <", value, "enterTime");
            return (Criteria) this;
        }

        public Criteria andEnterTimeLessThanOrEqualTo(Date value) {
            addCriterion("enter_time <=", value, "enterTime");
            return (Criteria) this;
        }

        public Criteria andEnterTimeIn(List<Date> values) {
            addCriterion("enter_time in", values, "enterTime");
            return (Criteria) this;
        }

        public Criteria andEnterTimeNotIn(List<Date> values) {
            addCriterion("enter_time not in", values, "enterTime");
            return (Criteria) this;
        }

        public Criteria andEnterTimeBetween(Date value1, Date value2) {
            addCriterion("enter_time between", value1, value2, "enterTime");
            return (Criteria) this;
        }

        public Criteria andEnterTimeNotBetween(Date value1, Date value2) {
            addCriterion("enter_time not between", value1, value2, "enterTime");
            return (Criteria) this;
        }

        public Criteria andKeeperIsNull() {
            addCriterion("keeper is null");
            return (Criteria) this;
        }

        public Criteria andKeeperIsNotNull() {
            addCriterion("keeper is not null");
            return (Criteria) this;
        }

        public Criteria andKeeperEqualTo(String value) {
            addCriterion("keeper =", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperNotEqualTo(String value) {
            addCriterion("keeper <>", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperGreaterThan(String value) {
            addCriterion("keeper >", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperGreaterThanOrEqualTo(String value) {
            addCriterion("keeper >=", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperLessThan(String value) {
            addCriterion("keeper <", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperLessThanOrEqualTo(String value) {
            addCriterion("keeper <=", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperLike(String value) {
            addCriterion("keeper like", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperNotLike(String value) {
            addCriterion("keeper not like", value, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperIn(List<String> values) {
            addCriterion("keeper in", values, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperNotIn(List<String> values) {
            addCriterion("keeper not in", values, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperBetween(String value1, String value2) {
            addCriterion("keeper between", value1, value2, "keeper");
            return (Criteria) this;
        }

        public Criteria andKeeperNotBetween(String value1, String value2) {
            addCriterion("keeper not between", value1, value2, "keeper");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureIsNull() {
            addCriterion("house_temperature is null");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureIsNotNull() {
            addCriterion("house_temperature is not null");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureEqualTo(BigDecimal value) {
            addCriterion("house_temperature =", value, "houseTemperature");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureNotEqualTo(BigDecimal value) {
            addCriterion("house_temperature <>", value, "houseTemperature");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureGreaterThan(BigDecimal value) {
            addCriterion("house_temperature >", value, "houseTemperature");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("house_temperature >=", value, "houseTemperature");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureLessThan(BigDecimal value) {
            addCriterion("house_temperature <", value, "houseTemperature");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureLessThanOrEqualTo(BigDecimal value) {
            addCriterion("house_temperature <=", value, "houseTemperature");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureIn(List<BigDecimal> values) {
            addCriterion("house_temperature in", values, "houseTemperature");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureNotIn(List<BigDecimal> values) {
            addCriterion("house_temperature not in", values, "houseTemperature");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("house_temperature between", value1, value2, "houseTemperature");
            return (Criteria) this;
        }

        public Criteria andHouseTemperatureNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("house_temperature not between", value1, value2, "houseTemperature");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityIsNull() {
            addCriterion("house_humidity is null");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityIsNotNull() {
            addCriterion("house_humidity is not null");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityEqualTo(BigDecimal value) {
            addCriterion("house_humidity =", value, "houseHumidity");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityNotEqualTo(BigDecimal value) {
            addCriterion("house_humidity <>", value, "houseHumidity");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityGreaterThan(BigDecimal value) {
            addCriterion("house_humidity >", value, "houseHumidity");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("house_humidity >=", value, "houseHumidity");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityLessThan(BigDecimal value) {
            addCriterion("house_humidity <", value, "houseHumidity");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityLessThanOrEqualTo(BigDecimal value) {
            addCriterion("house_humidity <=", value, "houseHumidity");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityIn(List<BigDecimal> values) {
            addCriterion("house_humidity in", values, "houseHumidity");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityNotIn(List<BigDecimal> values) {
            addCriterion("house_humidity not in", values, "houseHumidity");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("house_humidity between", value1, value2, "houseHumidity");
            return (Criteria) this;
        }

        public Criteria andHouseHumidityNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("house_humidity not between", value1, value2, "houseHumidity");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureIsNull() {
            addCriterion("gas_temperature is null");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureIsNotNull() {
            addCriterion("gas_temperature is not null");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureEqualTo(BigDecimal value) {
            addCriterion("gas_temperature =", value, "gasTemperature");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureNotEqualTo(BigDecimal value) {
            addCriterion("gas_temperature <>", value, "gasTemperature");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureGreaterThan(BigDecimal value) {
            addCriterion("gas_temperature >", value, "gasTemperature");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_temperature >=", value, "gasTemperature");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureLessThan(BigDecimal value) {
            addCriterion("gas_temperature <", value, "gasTemperature");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_temperature <=", value, "gasTemperature");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureIn(List<BigDecimal> values) {
            addCriterion("gas_temperature in", values, "gasTemperature");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureNotIn(List<BigDecimal> values) {
            addCriterion("gas_temperature not in", values, "gasTemperature");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_temperature between", value1, value2, "gasTemperature");
            return (Criteria) this;
        }

        public Criteria andGasTemperatureNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_temperature not between", value1, value2, "gasTemperature");
            return (Criteria) this;
        }

        public Criteria andGasHumidityIsNull() {
            addCriterion("gas_humidity is null");
            return (Criteria) this;
        }

        public Criteria andGasHumidityIsNotNull() {
            addCriterion("gas_humidity is not null");
            return (Criteria) this;
        }

        public Criteria andGasHumidityEqualTo(BigDecimal value) {
            addCriterion("gas_humidity =", value, "gasHumidity");
            return (Criteria) this;
        }

        public Criteria andGasHumidityNotEqualTo(BigDecimal value) {
            addCriterion("gas_humidity <>", value, "gasHumidity");
            return (Criteria) this;
        }

        public Criteria andGasHumidityGreaterThan(BigDecimal value) {
            addCriterion("gas_humidity >", value, "gasHumidity");
            return (Criteria) this;
        }

        public Criteria andGasHumidityGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_humidity >=", value, "gasHumidity");
            return (Criteria) this;
        }

        public Criteria andGasHumidityLessThan(BigDecimal value) {
            addCriterion("gas_humidity <", value, "gasHumidity");
            return (Criteria) this;
        }

        public Criteria andGasHumidityLessThanOrEqualTo(BigDecimal value) {
            addCriterion("gas_humidity <=", value, "gasHumidity");
            return (Criteria) this;
        }

        public Criteria andGasHumidityIn(List<BigDecimal> values) {
            addCriterion("gas_humidity in", values, "gasHumidity");
            return (Criteria) this;
        }

        public Criteria andGasHumidityNotIn(List<BigDecimal> values) {
            addCriterion("gas_humidity not in", values, "gasHumidity");
            return (Criteria) this;
        }

        public Criteria andGasHumidityBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_humidity between", value1, value2, "gasHumidity");
            return (Criteria) this;
        }

        public Criteria andGasHumidityNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("gas_humidity not between", value1, value2, "gasHumidity");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeIsNull() {
            addCriterion("detection_time is null");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeIsNotNull() {
            addCriterion("detection_time is not null");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeEqualTo(Date value) {
            addCriterion("detection_time =", value, "detectionTime");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeNotEqualTo(Date value) {
            addCriterion("detection_time <>", value, "detectionTime");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeGreaterThan(Date value) {
            addCriterion("detection_time >", value, "detectionTime");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("detection_time >=", value, "detectionTime");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeLessThan(Date value) {
            addCriterion("detection_time <", value, "detectionTime");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeLessThanOrEqualTo(Date value) {
            addCriterion("detection_time <=", value, "detectionTime");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeIn(List<Date> values) {
            addCriterion("detection_time in", values, "detectionTime");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeNotIn(List<Date> values) {
            addCriterion("detection_time not in", values, "detectionTime");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeBetween(Date value1, Date value2) {
            addCriterion("detection_time between", value1, value2, "detectionTime");
            return (Criteria) this;
        }

        public Criteria andDetectionTimeNotBetween(Date value1, Date value2) {
            addCriterion("detection_time not between", value1, value2, "detectionTime");
            return (Criteria) this;
        }

        public Criteria andMaxIsNull() {
            addCriterion("max is null");
            return (Criteria) this;
        }

        public Criteria andMaxIsNotNull() {
            addCriterion("max is not null");
            return (Criteria) this;
        }

        public Criteria andMaxEqualTo(BigDecimal value) {
            addCriterion("max =", value, "max");
            return (Criteria) this;
        }

        public Criteria andMaxNotEqualTo(BigDecimal value) {
            addCriterion("max <>", value, "max");
            return (Criteria) this;
        }

        public Criteria andMaxGreaterThan(BigDecimal value) {
            addCriterion("max >", value, "max");
            return (Criteria) this;
        }

        public Criteria andMaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("max >=", value, "max");
            return (Criteria) this;
        }

        public Criteria andMaxLessThan(BigDecimal value) {
            addCriterion("max <", value, "max");
            return (Criteria) this;
        }

        public Criteria andMaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("max <=", value, "max");
            return (Criteria) this;
        }

        public Criteria andMaxIn(List<BigDecimal> values) {
            addCriterion("max in", values, "max");
            return (Criteria) this;
        }

        public Criteria andMaxNotIn(List<BigDecimal> values) {
            addCriterion("max not in", values, "max");
            return (Criteria) this;
        }

        public Criteria andMaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("max between", value1, value2, "max");
            return (Criteria) this;
        }

        public Criteria andMaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("max not between", value1, value2, "max");
            return (Criteria) this;
        }

        public Criteria andMinIsNull() {
            addCriterion("min is null");
            return (Criteria) this;
        }

        public Criteria andMinIsNotNull() {
            addCriterion("min is not null");
            return (Criteria) this;
        }

        public Criteria andMinEqualTo(BigDecimal value) {
            addCriterion("min =", value, "min");
            return (Criteria) this;
        }

        public Criteria andMinNotEqualTo(BigDecimal value) {
            addCriterion("min <>", value, "min");
            return (Criteria) this;
        }

        public Criteria andMinGreaterThan(BigDecimal value) {
            addCriterion("min >", value, "min");
            return (Criteria) this;
        }

        public Criteria andMinGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("min >=", value, "min");
            return (Criteria) this;
        }

        public Criteria andMinLessThan(BigDecimal value) {
            addCriterion("min <", value, "min");
            return (Criteria) this;
        }

        public Criteria andMinLessThanOrEqualTo(BigDecimal value) {
            addCriterion("min <=", value, "min");
            return (Criteria) this;
        }

        public Criteria andMinIn(List<BigDecimal> values) {
            addCriterion("min in", values, "min");
            return (Criteria) this;
        }

        public Criteria andMinNotIn(List<BigDecimal> values) {
            addCriterion("min not in", values, "min");
            return (Criteria) this;
        }

        public Criteria andMinBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("min between", value1, value2, "min");
            return (Criteria) this;
        }

        public Criteria andMinNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("min not between", value1, value2, "min");
            return (Criteria) this;
        }

        public Criteria andAvgIsNull() {
            addCriterion("avg is null");
            return (Criteria) this;
        }

        public Criteria andAvgIsNotNull() {
            addCriterion("avg is not null");
            return (Criteria) this;
        }

        public Criteria andAvgEqualTo(BigDecimal value) {
            addCriterion("avg =", value, "avg");
            return (Criteria) this;
        }

        public Criteria andAvgNotEqualTo(BigDecimal value) {
            addCriterion("avg <>", value, "avg");
            return (Criteria) this;
        }

        public Criteria andAvgGreaterThan(BigDecimal value) {
            addCriterion("avg >", value, "avg");
            return (Criteria) this;
        }

        public Criteria andAvgGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("avg >=", value, "avg");
            return (Criteria) this;
        }

        public Criteria andAvgLessThan(BigDecimal value) {
            addCriterion("avg <", value, "avg");
            return (Criteria) this;
        }

        public Criteria andAvgLessThanOrEqualTo(BigDecimal value) {
            addCriterion("avg <=", value, "avg");
            return (Criteria) this;
        }

        public Criteria andAvgIn(List<BigDecimal> values) {
            addCriterion("avg in", values, "avg");
            return (Criteria) this;
        }

        public Criteria andAvgNotIn(List<BigDecimal> values) {
            addCriterion("avg not in", values, "avg");
            return (Criteria) this;
        }

        public Criteria andAvgBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("avg between", value1, value2, "avg");
            return (Criteria) this;
        }

        public Criteria andAvgNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("avg not between", value1, value2, "avg");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}